// Code generated by pigeon; DO NOT EDIT.

package nosql

import (
	"bytes"
	"errors"
	"fmt"
	"io"
	"math"
	"os"
	"sort"
	"strconv"
	"strings"
	"sync"
	"unicode"
	"unicode/utf8"

	"github.com/pikami/cosmium/parsers"
)

func makeSelectStmt(
	columns, table,
	whereClause interface{}, distinctClause interface{},
	count interface{}, groupByClause interface{}, orderList interface{},
	offsetClause interface{},
) (parsers.SelectStmt, error) {
	selectStmt := parsers.SelectStmt{
		SelectItems: columns.([]parsers.SelectItem),
		Table:       table.(parsers.Table),
	}

	switch v := whereClause.(type) {
	case parsers.ComparisonExpression, parsers.LogicalExpression, parsers.Constant, parsers.SelectItem:
		selectStmt.Filters = v
	}

	if distinctClause != nil {
		selectStmt.Distinct = true
	}

	if n, ok := count.(int); ok {
		selectStmt.Count = n
	}

	if offsetArr, ok := offsetClause.([]interface{}); ok && len(offsetArr) == 2 {
		if n, ok := offsetArr[0].(int); ok {
			selectStmt.Offset = n
		}

		if n, ok := offsetArr[1].(int); ok {
			selectStmt.Count = n
		}
	}

	if orderExpressions, ok := orderList.([]parsers.OrderExpression); ok {
		selectStmt.OrderExpressions = orderExpressions
	}

	if groupByClause != nil {
		selectStmt.GroupBy = groupByClause.([]parsers.SelectItem)
	}

	return selectStmt, nil
}

func makeSelectItem(name interface{}, path interface{}, selectItemType parsers.SelectItemType) (parsers.SelectItem, error) {
	ps := path.([]interface{})

	paths := make([]string, 1)
	paths[0] = name.(string)
	for _, p := range ps {
		paths = append(paths, p.(string))
	}

	return parsers.SelectItem{Path: paths, Type: selectItemType}, nil
}

func makeColumnList(column interface{}, other_columns interface{}) ([]parsers.SelectItem, error) {
	collsAsArray := other_columns.([]interface{})
	columnList := make([]parsers.SelectItem, len(collsAsArray)+1)
	columnList[0] = column.(parsers.SelectItem)

	for i, v := range collsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			columnList[i+1] = col
		}
	}

	return columnList, nil
}

func makeSelectArray(columns interface{}) (parsers.SelectItem, error) {
	return parsers.SelectItem{
		SelectItems: columns.([]parsers.SelectItem),
		Type:        parsers.SelectItemTypeArray,
	}, nil
}

func makeSelectObject(field interface{}, other_fields interface{}) (parsers.SelectItem, error) {
	fieldsAsArray := other_fields.([]interface{})
	fieldsList := make([]parsers.SelectItem, len(fieldsAsArray)+1)
	fieldsList[0] = field.(parsers.SelectItem)

	for i, v := range fieldsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			fieldsList[i+1] = col
		}
	}

	return parsers.SelectItem{
		SelectItems: fieldsList,
		Type:        parsers.SelectItemTypeObject,
	}, nil
}

func makeOrderByClause(ex1 interface{}, others interface{}) ([]parsers.OrderExpression, error) {
	othersArray := others.([]interface{})
	orderList := make([]parsers.OrderExpression, len(othersArray)+1)
	orderList[0] = ex1.(parsers.OrderExpression)

	for i, v := range othersArray {
		if col, ok := v.(parsers.OrderExpression); ok {
			orderList[i+1] = col
		}
	}

	return orderList, nil
}

func makeOrderExpression(field interface{}, order interface{}) (parsers.OrderExpression, error) {
	value := parsers.OrderExpression{
		SelectItem: field.(parsers.SelectItem),
		Direction:  parsers.OrderDirectionAsc,
	}

	if orderValue, ok := order.(parsers.OrderDirection); ok {
		value.Direction = orderValue
	}

	return value, nil
}

func createFunctionCall(functionType parsers.FunctionCallType, arguments []interface{}) (parsers.FunctionCall, error) {
	return parsers.FunctionCall{Type: functionType, Arguments: arguments}, nil
}

func joinStrings(array []interface{}) string {
	var stringsArray []string
	for _, elem := range array {
		str, ok := elem.(string)
		if !ok {
			continue
		}
		stringsArray = append(stringsArray, str)
	}

	return strings.Join(stringsArray, "")
}

func combineExpressions(ex1 interface{}, exs interface{}, operation parsers.LogicalExpressionType) (interface{}, error) {
	if exs == nil || len(exs.([]interface{})) < 1 {
		return ex1, nil
	}

	return parsers.LogicalExpression{
		Expressions: append([]interface{}{ex1}, exs.([]interface{})...),
		Operation:   operation,
	}, nil
}

var g = &grammar{
	rules: []*rule{
		{
			name: "Input",
			pos:  position{line: 158, col: 1, offset: 4186},
			expr: &actionExpr{
				pos: position{line: 158, col: 10, offset: 4195},
				run: (*parser).callonInput1,
				expr: &labeledExpr{
					pos:   position{line: 158, col: 10, offset: 4195},
					label: "selectStmt",
					expr: &ruleRefExpr{
						pos:  position{line: 158, col: 21, offset: 4206},
						name: "SelectStmt",
					},
				},
			},
		},
		{
			name: "SelectStmt",
			pos:  position{line: 162, col: 1, offset: 4249},
			expr: &actionExpr{
				pos: position{line: 162, col: 15, offset: 4263},
				run: (*parser).callonSelectStmt1,
				expr: &seqExpr{
					pos: position{line: 162, col: 15, offset: 4263},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 162, col: 15, offset: 4263},
							name: "Select",
						},
						&ruleRefExpr{
							pos:  position{line: 162, col: 22, offset: 4270},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 163, col: 5, offset: 4277},
							label: "distinctClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 163, col: 20, offset: 4292},
								expr: &ruleRefExpr{
									pos:  position{line: 163, col: 20, offset: 4292},
									name: "DistinctClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 163, col: 36, offset: 4308},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 164, col: 5, offset: 4315},
							label: "topClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 164, col: 15, offset: 4325},
								expr: &ruleRefExpr{
									pos:  position{line: 164, col: 15, offset: 4325},
									name: "TopClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 164, col: 26, offset: 4336},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 164, col: 29, offset: 4339},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 164, col: 37, offset: 4347},
								name: "Selection",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 164, col: 47, offset: 4357},
							name: "ws",
						},
						&ruleRefExpr{
							pos:  position{line: 165, col: 5, offset: 4364},
							name: "From",
						},
						&ruleRefExpr{
							pos:  position{line: 165, col: 10, offset: 4369},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 165, col: 13, offset: 4372},
							label: "table",
							expr: &ruleRefExpr{
								pos:  position{line: 165, col: 19, offset: 4378},
								name: "TableName",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 165, col: 29, offset: 4388},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 166, col: 5, offset: 4395},
							label: "whereClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 166, col: 17, offset: 4407},
								expr: &actionExpr{
									pos: position{line: 166, col: 18, offset: 4408},
									run: (*parser).callonSelectStmt23,
									expr: &seqExpr{
										pos: position{line: 166, col: 18, offset: 4408},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 166, col: 18, offset: 4408},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 166, col: 21, offset: 4411},
												name: "Where",
											},
											&ruleRefExpr{
												pos:  position{line: 166, col: 27, offset: 4417},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 166, col: 30, offset: 4420},
												label: "condition",
												expr: &ruleRefExpr{
													pos:  position{line: 166, col: 40, offset: 4430},
													name: "Condition",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 167, col: 5, offset: 4472},
							label: "groupByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 167, col: 19, offset: 4486},
								expr: &actionExpr{
									pos: position{line: 167, col: 20, offset: 4487},
									run: (*parser).callonSelectStmt32,
									expr: &seqExpr{
										pos: position{line: 167, col: 20, offset: 4487},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 167, col: 20, offset: 4487},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 167, col: 23, offset: 4490},
												name: "GroupBy",
											},
											&ruleRefExpr{
												pos:  position{line: 167, col: 31, offset: 4498},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 167, col: 34, offset: 4501},
												label: "columns",
												expr: &ruleRefExpr{
													pos:  position{line: 167, col: 42, offset: 4509},
													name: "ColumnList",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 168, col: 5, offset: 4550},
							label: "orderByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 168, col: 19, offset: 4564},
								expr: &ruleRefExpr{
									pos:  position{line: 168, col: 19, offset: 4564},
									name: "OrderByClause",
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 169, col: 5, offset: 4583},
							label: "offsetClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 169, col: 18, offset: 4596},
								expr: &ruleRefExpr{
									pos:  position{line: 169, col: 18, offset: 4596},
									name: "OffsetClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "DistinctClause",
			pos:  position{line: 174, col: 1, offset: 4749},
			expr: &litMatcher{
				pos:        position{line: 174, col: 19, offset: 4767},
				val:        "distinct",
				ignoreCase: true,
				want:       "\"DISTINCT\"i",
			},
		},
		{
			name: "TopClause",
			pos:  position{line: 176, col: 1, offset: 4780},
			expr: &actionExpr{
				pos: position{line: 176, col: 14, offset: 4793},
				run: (*parser).callonTopClause1,
				expr: &seqExpr{
					pos: position{line: 176, col: 14, offset: 4793},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 176, col: 14, offset: 4793},
							name: "Top",
						},
						&ruleRefExpr{
							pos:  position{line: 176, col: 18, offset: 4797},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 176, col: 21, offset: 4800},
							label: "count",
							expr: &ruleRefExpr{
								pos:  position{line: 176, col: 27, offset: 4806},
								name: "Integer",
							},
						},
					},
				},
			},
		},
		{
			name: "OffsetClause",
			pos:  position{line: 180, col: 1, offset: 4841},
			expr: &actionExpr{
				pos: position{line: 180, col: 17, offset: 4857},
				run: (*parser).callonOffsetClause1,
				expr: &seqExpr{
					pos: position{line: 180, col: 17, offset: 4857},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 180, col: 17, offset: 4857},
							val:        "offset",
							ignoreCase: true,
							want:       "\"OFFSET\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 180, col: 27, offset: 4867},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 180, col: 30, offset: 4870},
							label: "offset",
							expr: &ruleRefExpr{
								pos:  position{line: 180, col: 37, offset: 4877},
								name: "IntegerLiteral",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 180, col: 52, offset: 4892},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 180, col: 55, offset: 4895},
							val:        "limit",
							ignoreCase: true,
							want:       "\"LIMIT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 180, col: 64, offset: 4904},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 180, col: 67, offset: 4907},
							label: "limit",
							expr: &ruleRefExpr{
								pos:  position{line: 180, col: 73, offset: 4913},
								name: "IntegerLiteral",
							},
						},
					},
				},
			},
		},
		{
			name: "Selection",
			pos:  position{line: 184, col: 1, offset: 5028},
			expr: &choiceExpr{
				pos: position{line: 184, col: 14, offset: 5041},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 184, col: 14, offset: 5041},
						name: "SelectValueSpec",
					},
					&ruleRefExpr{
						pos:  position{line: 184, col: 32, offset: 5059},
						name: "ColumnList",
					},
					&ruleRefExpr{
						pos:  position{line: 184, col: 45, offset: 5072},
						name: "SelectAsterisk",
					},
				},
			},
		},
		{
			name: "SelectAsterisk",
			pos:  position{line: 186, col: 1, offset: 5088},
			expr: &actionExpr{
				pos: position{line: 186, col: 19, offset: 5106},
				run: (*parser).callonSelectAsterisk1,
				expr: &litMatcher{
					pos:        position{line: 186, col: 19, offset: 5106},
					val:        "*",
					ignoreCase: false,
					want:       "\"*\"",
				},
			},
		},
		{
			name: "ColumnList",
			pos:  position{line: 192, col: 1, offset: 5301},
			expr: &actionExpr{
				pos: position{line: 192, col: 15, offset: 5315},
				run: (*parser).callonColumnList1,
				expr: &seqExpr{
					pos: position{line: 192, col: 15, offset: 5315},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 192, col: 15, offset: 5315},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 192, col: 22, offset: 5322},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 192, col: 33, offset: 5333},
							label: "other_columns",
							expr: &zeroOrMoreExpr{
								pos: position{line: 192, col: 47, offset: 5347},
								expr: &actionExpr{
									pos: position{line: 192, col: 48, offset: 5348},
									run: (*parser).callonColumnList7,
									expr: &seqExpr{
										pos: position{line: 192, col: 48, offset: 5348},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 192, col: 48, offset: 5348},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 192, col: 51, offset: 5351},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 192, col: 55, offset: 5355},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 192, col: 58, offset: 5358},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 192, col: 63, offset: 5363},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectValueSpec",
			pos:  position{line: 196, col: 1, offset: 5450},
			expr: &actionExpr{
				pos: position{line: 196, col: 20, offset: 5469},
				run: (*parser).callonSelectValueSpec1,
				expr: &seqExpr{
					pos: position{line: 196, col: 20, offset: 5469},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 196, col: 20, offset: 5469},
							val:        "value",
							ignoreCase: true,
							want:       "\"VALUE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 196, col: 29, offset: 5478},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 196, col: 32, offset: 5481},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 196, col: 39, offset: 5488},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "TableName",
			pos:  position{line: 202, col: 1, offset: 5642},
			expr: &actionExpr{
				pos: position{line: 202, col: 14, offset: 5655},
				run: (*parser).callonTableName1,
				expr: &labeledExpr{
					pos:   position{line: 202, col: 14, offset: 5655},
					label: "key",
					expr: &ruleRefExpr{
						pos:  position{line: 202, col: 18, offset: 5659},
						name: "Identifier",
					},
				},
			},
		},
		{
			name: "SelectArray",
			pos:  position{line: 206, col: 1, offset: 5726},
			expr: &actionExpr{
				pos: position{line: 206, col: 16, offset: 5741},
				run: (*parser).callonSelectArray1,
				expr: &seqExpr{
					pos: position{line: 206, col: 16, offset: 5741},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 206, col: 16, offset: 5741},
							val:        "[",
							ignoreCase: false,
							want:       "\"[\"",
						},
						&ruleRefExpr{
							pos:  position{line: 206, col: 20, offset: 5745},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 206, col: 23, offset: 5748},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 206, col: 31, offset: 5756},
								name: "ColumnList",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 206, col: 42, offset: 5767},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 206, col: 45, offset: 5770},
							val:        "]",
							ignoreCase: false,
							want:       "\"]\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObject",
			pos:  position{line: 210, col: 1, offset: 5815},
			expr: &actionExpr{
				pos: position{line: 210, col: 17, offset: 5831},
				run: (*parser).callonSelectObject1,
				expr: &seqExpr{
					pos: position{line: 210, col: 17, offset: 5831},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 210, col: 17, offset: 5831},
							val:        "{",
							ignoreCase: false,
							want:       "\"{\"",
						},
						&ruleRefExpr{
							pos:  position{line: 210, col: 21, offset: 5835},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 210, col: 24, offset: 5838},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 210, col: 30, offset: 5844},
								name: "SelectObjectField",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 210, col: 48, offset: 5862},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 210, col: 51, offset: 5865},
							label: "other_fields",
							expr: &zeroOrMoreExpr{
								pos: position{line: 210, col: 64, offset: 5878},
								expr: &actionExpr{
									pos: position{line: 210, col: 65, offset: 5879},
									run: (*parser).callonSelectObject10,
									expr: &seqExpr{
										pos: position{line: 210, col: 65, offset: 5879},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 210, col: 65, offset: 5879},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 210, col: 68, offset: 5882},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 210, col: 72, offset: 5886},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 210, col: 75, offset: 5889},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 210, col: 80, offset: 5894},
													name: "SelectObjectField",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 210, col: 120, offset: 5934},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 210, col: 123, offset: 5937},
							val:        "}",
							ignoreCase: false,
							want:       "\"}\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObjectField",
			pos:  position{line: 214, col: 1, offset: 5995},
			expr: &actionExpr{
				pos: position{line: 214, col: 22, offset: 6016},
				run: (*parser).callonSelectObjectField1,
				expr: &seqExpr{
					pos: position{line: 214, col: 22, offset: 6016},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 214, col: 22, offset: 6016},
							label: "name",
							expr: &choiceExpr{
								pos: position{line: 214, col: 28, offset: 6022},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 214, col: 28, offset: 6022},
										name: "Identifier",
									},
									&actionExpr{
										pos: position{line: 214, col: 41, offset: 6035},
										run: (*parser).callonSelectObjectField6,
										expr: &seqExpr{
											pos: position{line: 214, col: 41, offset: 6035},
											exprs: []any{
												&litMatcher{
													pos:        position{line: 214, col: 41, offset: 6035},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
												&labeledExpr{
													pos:   position{line: 214, col: 46, offset: 6040},
													label: "key",
													expr: &ruleRefExpr{
														pos:  position{line: 214, col: 50, offset: 6044},
														name: "Identifier",
													},
												},
												&litMatcher{
													pos:        position{line: 214, col: 61, offset: 6055},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 214, col: 87, offset: 6081},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 214, col: 90, offset: 6084},
							val:        ":",
							ignoreCase: false,
							want:       "\":\"",
						},
						&ruleRefExpr{
							pos:  position{line: 214, col: 94, offset: 6088},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 214, col: 97, offset: 6091},
							label: "selectItem",
							expr: &ruleRefExpr{
								pos:  position{line: 214, col: 108, offset: 6102},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "SelectProperty",
			pos:  position{line: 220, col: 1, offset: 6208},
			expr: &actionExpr{
				pos: position{line: 220, col: 19, offset: 6226},
				run: (*parser).callonSelectProperty1,
				expr: &seqExpr{
					pos: position{line: 220, col: 19, offset: 6226},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 220, col: 19, offset: 6226},
							label: "name",
							expr: &ruleRefExpr{
								pos:  position{line: 220, col: 24, offset: 6231},
								name: "Identifier",
							},
						},
						&labeledExpr{
							pos:   position{line: 220, col: 35, offset: 6242},
							label: "path",
							expr: &zeroOrMoreExpr{
								pos: position{line: 220, col: 40, offset: 6247},
								expr: &choiceExpr{
									pos: position{line: 220, col: 41, offset: 6248},
									alternatives: []any{
										&ruleRefExpr{
											pos:  position{line: 220, col: 41, offset: 6248},
											name: "DotFieldAccess",
										},
										&ruleRefExpr{
											pos:  position{line: 220, col: 58, offset: 6265},
											name: "ArrayFieldAccess",
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItem",
			pos:  position{line: 224, col: 1, offset: 6356},
			expr: &actionExpr{
				pos: position{line: 224, col: 15, offset: 6370},
				run: (*parser).callonSelectItem1,
				expr: &seqExpr{
					pos: position{line: 224, col: 15, offset: 6370},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 224, col: 15, offset: 6370},
							label: "selectItem",
							expr: &choiceExpr{
								pos: position{line: 224, col: 27, offset: 6382},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 224, col: 27, offset: 6382},
										name: "Literal",
									},
									&ruleRefExpr{
										pos:  position{line: 224, col: 37, offset: 6392},
										name: "FunctionCall",
									},
									&ruleRefExpr{
										pos:  position{line: 224, col: 52, offset: 6407},
										name: "SelectArray",
									},
									&ruleRefExpr{
										pos:  position{line: 224, col: 66, offset: 6421},
										name: "SelectObject",
									},
									&ruleRefExpr{
										pos:  position{line: 224, col: 81, offset: 6436},
										name: "SelectProperty",
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 224, col: 97, offset: 6452},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 224, col: 106, offset: 6461},
								expr: &ruleRefExpr{
									pos:  position{line: 224, col: 106, offset: 6461},
									name: "AsClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AsClause",
			pos:  position{line: 248, col: 1, offset: 7059},
			expr: &actionExpr{
				pos: position{line: 248, col: 13, offset: 7071},
				run: (*parser).callonAsClause1,
				expr: &seqExpr{
					pos: position{line: 248, col: 13, offset: 7071},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 248, col: 13, offset: 7071},
							name: "ws",
						},
						&ruleRefExpr{
							pos:  position{line: 248, col: 16, offset: 7074},
							name: "As",
						},
						&ruleRefExpr{
							pos:  position{line: 248, col: 19, offset: 7077},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 248, col: 22, offset: 7080},
							label: "alias",
							expr: &ruleRefExpr{
								pos:  position{line: 248, col: 28, offset: 7086},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "DotFieldAccess",
			pos:  position{line: 250, col: 1, offset: 7120},
			expr: &actionExpr{
				pos: position{line: 250, col: 19, offset: 7138},
				run: (*parser).callonDotFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 250, col: 19, offset: 7138},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 250, col: 19, offset: 7138},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&labeledExpr{
							pos:   position{line: 250, col: 23, offset: 7142},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 250, col: 26, offset: 7145},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "ArrayFieldAccess",
			pos:  position{line: 254, col: 1, offset: 7180},
			expr: &actionExpr{
				pos: position{line: 254, col: 21, offset: 7200},
				run: (*parser).callonArrayFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 254, col: 21, offset: 7200},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 254, col: 21, offset: 7200},
							val:        "[\"",
							ignoreCase: false,
							want:       "\"[\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 254, col: 27, offset: 7206},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 254, col: 30, offset: 7209},
								name: "Identifier",
							},
						},
						&litMatcher{
							pos:        position{line: 254, col: 41, offset: 7220},
							val:        "\"]",
							ignoreCase: false,
							want:       "\"\\\"]\"",
						},
					},
				},
			},
		},
		{
			name: "Identifier",
			pos:  position{line: 258, col: 1, offset: 7250},
			expr: &actionExpr{
				pos: position{line: 258, col: 15, offset: 7264},
				run: (*parser).callonIdentifier1,
				expr: &seqExpr{
					pos: position{line: 258, col: 15, offset: 7264},
					exprs: []any{
						&charClassMatcher{
							pos:        position{line: 258, col: 15, offset: 7264},
							val:        "[a-zA-Z_]",
							chars:      []rune{'_'},
							ranges:     []rune{'a', 'z', 'A', 'Z'},
							ignoreCase: false,
							inverted:   false,
						},
						&zeroOrMoreExpr{
							pos: position{line: 258, col: 24, offset: 7273},
							expr: &charClassMatcher{
								pos:        position{line: 258, col: 24, offset: 7273},
								val:        "[a-zA-Z0-9_]",
								chars:      []rune{'_'},
								ranges:     []rune{'a', 'z', 'A', 'Z', '0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "Condition",
			pos:  position{line: 262, col: 1, offset: 7323},
			expr: &actionExpr{
				pos: position{line: 262, col: 14, offset: 7336},
				run: (*parser).callonCondition1,
				expr: &labeledExpr{
					pos:   position{line: 262, col: 14, offset: 7336},
					label: "expression",
					expr: &ruleRefExpr{
						pos:  position{line: 262, col: 25, offset: 7347},
						name: "OrExpression",
					},
				},
			},
		},
		{
			name: "OrExpression",
			pos:  position{line: 266, col: 1, offset: 7392},
			expr: &actionExpr{
				pos: position{line: 266, col: 17, offset: 7408},
				run: (*parser).callonOrExpression1,
				expr: &seqExpr{
					pos: position{line: 266, col: 17, offset: 7408},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 266, col: 17, offset: 7408},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 266, col: 21, offset: 7412},
								name: "AndExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 266, col: 35, offset: 7426},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 266, col: 39, offset: 7430},
								expr: &actionExpr{
									pos: position{line: 266, col: 40, offset: 7431},
									run: (*parser).callonOrExpression7,
									expr: &seqExpr{
										pos: position{line: 266, col: 40, offset: 7431},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 266, col: 40, offset: 7431},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 266, col: 43, offset: 7434},
												name: "Or",
											},
											&ruleRefExpr{
												pos:  position{line: 266, col: 46, offset: 7437},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 266, col: 49, offset: 7440},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 266, col: 52, offset: 7443},
													name: "AndExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AndExpression",
			pos:  position{line: 270, col: 1, offset: 7556},
			expr: &actionExpr{
				pos: position{line: 270, col: 18, offset: 7573},
				run: (*parser).callonAndExpression1,
				expr: &seqExpr{
					pos: position{line: 270, col: 18, offset: 7573},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 270, col: 18, offset: 7573},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 270, col: 22, offset: 7577},
								name: "ComparisonExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 270, col: 43, offset: 7598},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 270, col: 47, offset: 7602},
								expr: &actionExpr{
									pos: position{line: 270, col: 48, offset: 7603},
									run: (*parser).callonAndExpression7,
									expr: &seqExpr{
										pos: position{line: 270, col: 48, offset: 7603},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 270, col: 48, offset: 7603},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 270, col: 51, offset: 7606},
												name: "And",
											},
											&ruleRefExpr{
												pos:  position{line: 270, col: 55, offset: 7610},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 270, col: 58, offset: 7613},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 270, col: 61, offset: 7616},
													name: "ComparisonExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "ComparisonExpression",
			pos:  position{line: 274, col: 1, offset: 7737},
			expr: &choiceExpr{
				pos: position{line: 274, col: 25, offset: 7761},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 274, col: 25, offset: 7761},
						run: (*parser).callonComparisonExpression2,
						expr: &seqExpr{
							pos: position{line: 274, col: 25, offset: 7761},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 274, col: 25, offset: 7761},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 274, col: 29, offset: 7765},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 274, col: 32, offset: 7768},
									label: "ex",
									expr: &ruleRefExpr{
										pos:  position{line: 274, col: 35, offset: 7771},
										name: "OrExpression",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 274, col: 48, offset: 7784},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 274, col: 51, offset: 7787},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 275, col: 7, offset: 7816},
						run: (*parser).callonComparisonExpression10,
						expr: &seqExpr{
							pos: position{line: 275, col: 7, offset: 7816},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 275, col: 7, offset: 7816},
									label: "left",
									expr: &ruleRefExpr{
										pos:  position{line: 275, col: 12, offset: 7821},
										name: "SelectItem",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 275, col: 23, offset: 7832},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 275, col: 26, offset: 7835},
									label: "op",
									expr: &ruleRefExpr{
										pos:  position{line: 275, col: 29, offset: 7838},
										name: "ComparisonOperator",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 275, col: 48, offset: 7857},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 275, col: 51, offset: 7860},
									label: "right",
									expr: &ruleRefExpr{
										pos:  position{line: 275, col: 57, offset: 7866},
										name: "SelectItem",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 277, col: 5, offset: 7973},
						run: (*parser).callonComparisonExpression20,
						expr: &labeledExpr{
							pos:   position{line: 277, col: 5, offset: 7973},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 277, col: 8, offset: 7976},
								name: "BooleanLiteral",
							},
						},
					},
					&actionExpr{
						pos: position{line: 278, col: 5, offset: 8014},
						run: (*parser).callonComparisonExpression23,
						expr: &labeledExpr{
							pos:   position{line: 278, col: 5, offset: 8014},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 278, col: 8, offset: 8017},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "OrderByClause",
			pos:  position{line: 280, col: 1, offset: 8048},
			expr: &actionExpr{
				pos: position{line: 280, col: 18, offset: 8065},
				run: (*parser).callonOrderByClause1,
				expr: &seqExpr{
					pos: position{line: 280, col: 18, offset: 8065},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 280, col: 18, offset: 8065},
							name: "OrderBy",
						},
						&ruleRefExpr{
							pos:  position{line: 280, col: 26, offset: 8073},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 280, col: 29, offset: 8076},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 280, col: 33, offset: 8080},
								name: "OrderExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 280, col: 49, offset: 8096},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 280, col: 56, offset: 8103},
								expr: &actionExpr{
									pos: position{line: 280, col: 57, offset: 8104},
									run: (*parser).callonOrderByClause9,
									expr: &seqExpr{
										pos: position{line: 280, col: 57, offset: 8104},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 280, col: 57, offset: 8104},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 280, col: 60, offset: 8107},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 280, col: 64, offset: 8111},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 280, col: 67, offset: 8114},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 280, col: 70, offset: 8117},
													name: "OrderExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderExpression",
			pos:  position{line: 284, col: 1, offset: 8201},
			expr: &actionExpr{
				pos: position{line: 284, col: 20, offset: 8220},
				run: (*parser).callonOrderExpression1,
				expr: &seqExpr{
					pos: position{line: 284, col: 20, offset: 8220},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 284, col: 20, offset: 8220},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 284, col: 26, offset: 8226},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 284, col: 41, offset: 8241},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 284, col: 44, offset: 8244},
							label: "order",
							expr: &zeroOrOneExpr{
								pos: position{line: 284, col: 50, offset: 8250},
								expr: &ruleRefExpr{
									pos:  position{line: 284, col: 50, offset: 8250},
									name: "OrderDirection",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderDirection",
			pos:  position{line: 288, col: 1, offset: 8316},
			expr: &actionExpr{
				pos: position{line: 288, col: 19, offset: 8334},
				run: (*parser).callonOrderDirection1,
				expr: &choiceExpr{
					pos: position{line: 288, col: 20, offset: 8335},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 288, col: 20, offset: 8335},
							val:        "asc",
							ignoreCase: true,
							want:       "\"ASC\"i",
						},
						&litMatcher{
							pos:        position{line: 288, col: 29, offset: 8344},
							val:        "desc",
							ignoreCase: true,
							want:       "\"DESC\"i",
						},
					},
				},
			},
		},
		{
			name: "Select",
			pos:  position{line: 296, col: 1, offset: 8496},
			expr: &litMatcher{
				pos:        position{line: 296, col: 11, offset: 8506},
				val:        "select",
				ignoreCase: true,
				want:       "\"SELECT\"i",
			},
		},
		{
			name: "Top",
			pos:  position{line: 298, col: 1, offset: 8517},
			expr: &litMatcher{
				pos:        position{line: 298, col: 8, offset: 8524},
				val:        "top",
				ignoreCase: true,
				want:       "\"TOP\"i",
			},
		},
		{
			name: "As",
			pos:  position{line: 300, col: 1, offset: 8532},
			expr: &litMatcher{
				pos:        position{line: 300, col: 7, offset: 8538},
				val:        "as",
				ignoreCase: true,
				want:       "\"AS\"i",
			},
		},
		{
			name: "From",
			pos:  position{line: 302, col: 1, offset: 8545},
			expr: &litMatcher{
				pos:        position{line: 302, col: 9, offset: 8553},
				val:        "from",
				ignoreCase: true,
				want:       "\"FROM\"i",
			},
		},
		{
			name: "Where",
			pos:  position{line: 304, col: 1, offset: 8562},
			expr: &litMatcher{
				pos:        position{line: 304, col: 10, offset: 8571},
				val:        "where",
				ignoreCase: true,
				want:       "\"WHERE\"i",
			},
		},
		{
			name: "And",
			pos:  position{line: 306, col: 1, offset: 8581},
			expr: &litMatcher{
				pos:        position{line: 306, col: 8, offset: 8588},
				val:        "and",
				ignoreCase: true,
				want:       "\"AND\"i",
			},
		},
		{
			name: "Or",
			pos:  position{line: 308, col: 1, offset: 8596},
			expr: &litMatcher{
				pos:        position{line: 308, col: 7, offset: 8602},
				val:        "or",
				ignoreCase: true,
				want:       "\"OR\"i",
			},
		},
		{
			name: "GroupBy",
			pos:  position{line: 310, col: 1, offset: 8609},
			expr: &seqExpr{
				pos: position{line: 310, col: 12, offset: 8620},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 310, col: 12, offset: 8620},
						val:        "group",
						ignoreCase: true,
						want:       "\"GROUP\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 310, col: 21, offset: 8629},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 310, col: 24, offset: 8632},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "OrderBy",
			pos:  position{line: 312, col: 1, offset: 8639},
			expr: &seqExpr{
				pos: position{line: 312, col: 12, offset: 8650},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 312, col: 12, offset: 8650},
						val:        "order",
						ignoreCase: true,
						want:       "\"ORDER\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 312, col: 21, offset: 8659},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 312, col: 24, offset: 8662},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "ComparisonOperator",
			pos:  position{line: 314, col: 1, offset: 8669},
			expr: &actionExpr{
				pos: position{line: 314, col: 23, offset: 8691},
				run: (*parser).callonComparisonOperator1,
				expr: &choiceExpr{
					pos: position{line: 314, col: 24, offset: 8692},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 314, col: 24, offset: 8692},
							val:        "=",
							ignoreCase: false,
							want:       "\"=\"",
						},
						&litMatcher{
							pos:        position{line: 314, col: 30, offset: 8698},
							val:        "!=",
							ignoreCase: false,
							want:       "\"!=\"",
						},
						&litMatcher{
							pos:        position{line: 314, col: 37, offset: 8705},
							val:        "<",
							ignoreCase: false,
							want:       "\"<\"",
						},
						&litMatcher{
							pos:        position{line: 314, col: 43, offset: 8711},
							val:        "<=",
							ignoreCase: false,
							want:       "\"<=\"",
						},
						&litMatcher{
							pos:        position{line: 314, col: 50, offset: 8718},
							val:        ">",
							ignoreCase: false,
							want:       "\">\"",
						},
						&litMatcher{
							pos:        position{line: 314, col: 56, offset: 8724},
							val:        ">=",
							ignoreCase: false,
							want:       "\">=\"",
						},
					},
				},
			},
		},
		{
			name: "Literal",
			pos:  position{line: 318, col: 1, offset: 8766},
			expr: &choiceExpr{
				pos: position{line: 318, col: 12, offset: 8777},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 318, col: 12, offset: 8777},
						name: "FloatLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 318, col: 27, offset: 8792},
						name: "IntegerLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 318, col: 44, offset: 8809},
						name: "StringLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 318, col: 60, offset: 8825},
						name: "BooleanLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 318, col: 77, offset: 8842},
						name: "ParameterConstant",
					},
					&ruleRefExpr{
						pos:  position{line: 318, col: 97, offset: 8862},
						name: "NullConstant",
					},
				},
			},
		},
		{
			name: "ParameterConstant",
			pos:  position{line: 320, col: 1, offset: 8876},
			expr: &actionExpr{
				pos: position{line: 320, col: 22, offset: 8897},
				run: (*parser).callonParameterConstant1,
				expr: &seqExpr{
					pos: position{line: 320, col: 22, offset: 8897},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 320, col: 22, offset: 8897},
							val:        "@",
							ignoreCase: false,
							want:       "\"@\"",
						},
						&ruleRefExpr{
							pos:  position{line: 320, col: 26, offset: 8901},
							name: "Identifier",
						},
					},
				},
			},
		},
		{
			name: "NullConstant",
			pos:  position{line: 323, col: 1, offset: 9017},
			expr: &actionExpr{
				pos: position{line: 323, col: 17, offset: 9033},
				run: (*parser).callonNullConstant1,
				expr: &litMatcher{
					pos:        position{line: 323, col: 17, offset: 9033},
					val:        "null",
					ignoreCase: true,
					want:       "\"null\"i",
				},
			},
		},
		{
			name: "IntegerLiteral",
			pos:  position{line: 327, col: 1, offset: 9091},
			expr: &actionExpr{
				pos: position{line: 327, col: 19, offset: 9109},
				run: (*parser).callonIntegerLiteral1,
				expr: &labeledExpr{
					pos:   position{line: 327, col: 19, offset: 9109},
					label: "number",
					expr: &ruleRefExpr{
						pos:  position{line: 327, col: 26, offset: 9116},
						name: "Integer",
					},
				},
			},
		},
		{
			name: "StringLiteral",
			pos:  position{line: 330, col: 1, offset: 9217},
			expr: &actionExpr{
				pos: position{line: 330, col: 18, offset: 9234},
				run: (*parser).callonStringLiteral1,
				expr: &seqExpr{
					pos: position{line: 330, col: 18, offset: 9234},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 330, col: 18, offset: 9234},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 330, col: 23, offset: 9239},
							label: "chars",
							expr: &zeroOrMoreExpr{
								pos: position{line: 330, col: 29, offset: 9245},
								expr: &ruleRefExpr{
									pos:  position{line: 330, col: 29, offset: 9245},
									name: "StringCharacter",
								},
							},
						},
						&litMatcher{
							pos:        position{line: 330, col: 46, offset: 9262},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
					},
				},
			},
		},
		{
			name: "FloatLiteral",
			pos:  position{line: 333, col: 1, offset: 9380},
			expr: &actionExpr{
				pos: position{line: 333, col: 17, offset: 9396},
				run: (*parser).callonFloatLiteral1,
				expr: &seqExpr{
					pos: position{line: 333, col: 17, offset: 9396},
					exprs: []any{
						&oneOrMoreExpr{
							pos: position{line: 333, col: 17, offset: 9396},
							expr: &charClassMatcher{
								pos:        position{line: 333, col: 17, offset: 9396},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
						&litMatcher{
							pos:        position{line: 333, col: 23, offset: 9402},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&oneOrMoreExpr{
							pos: position{line: 333, col: 26, offset: 9405},
							expr: &charClassMatcher{
								pos:        position{line: 333, col: 26, offset: 9405},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "BooleanLiteral",
			pos:  position{line: 337, col: 1, offset: 9561},
			expr: &actionExpr{
				pos: position{line: 337, col: 19, offset: 9579},
				run: (*parser).callonBooleanLiteral1,
				expr: &choiceExpr{
					pos: position{line: 337, col: 20, offset: 9580},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 337, col: 20, offset: 9580},
							val:        "true",
							ignoreCase: true,
							want:       "\"true\"i",
						},
						&litMatcher{
							pos:        position{line: 337, col: 30, offset: 9590},
							val:        "false",
							ignoreCase: true,
							want:       "\"false\"i",
						},
					},
				},
			},
		},
		{
			name: "FunctionCall",
			pos:  position{line: 342, col: 1, offset: 9745},
			expr: &choiceExpr{
				pos: position{line: 342, col: 17, offset: 9761},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 342, col: 17, offset: 9761},
						name: "StringFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 343, col: 7, offset: 9783},
						name: "TypeCheckingFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 344, col: 7, offset: 9811},
						name: "ArrayFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 345, col: 7, offset: 9832},
						name: "InFunction",
					},
					&ruleRefExpr{
						pos:  position{line: 346, col: 7, offset: 9849},
						name: "AggregateFunctions",
					},
				},
			},
		},
		{
			name: "StringFunctions",
			pos:  position{line: 348, col: 1, offset: 9869},
			expr: &choiceExpr{
				pos: position{line: 348, col: 20, offset: 9888},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 348, col: 20, offset: 9888},
						name: "StringEqualsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 349, col: 7, offset: 9917},
						name: "ToStringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 350, col: 7, offset: 9942},
						name: "ConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 351, col: 7, offset: 9965},
						name: "ThreeArgumentStringFunctionExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 352, col: 7, offset: 10009},
						name: "UpperExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 353, col: 7, offset: 10031},
						name: "LowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 354, col: 7, offset: 10053},
						name: "LeftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 355, col: 7, offset: 10074},
						name: "LengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 356, col: 7, offset: 10097},
						name: "LTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 357, col: 7, offset: 10119},
						name: "ReplaceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 358, col: 7, offset: 10143},
						name: "ReplicateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 359, col: 7, offset: 10169},
						name: "ReverseExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 360, col: 7, offset: 10193},
						name: "RightExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 361, col: 7, offset: 10215},
						name: "RTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 362, col: 7, offset: 10237},
						name: "SubstringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 363, col: 7, offset: 10263},
						name: "TrimExpression",
					},
				},
			},
		},
		{
			name: "TypeCheckingFunctions",
			pos:  position{line: 365, col: 1, offset: 10279},
			expr: &choiceExpr{
				pos: position{line: 365, col: 26, offset: 10304},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 365, col: 26, offset: 10304},
						name: "IsDefined",
					},
					&ruleRefExpr{
						pos:  position{line: 366, col: 7, offset: 10320},
						name: "IsArray",
					},
					&ruleRefExpr{
						pos:  position{line: 367, col: 7, offset: 10334},
						name: "IsBool",
					},
					&ruleRefExpr{
						pos:  position{line: 368, col: 7, offset: 10347},
						name: "IsFiniteNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 369, col: 7, offset: 10368},
						name: "IsInteger",
					},
					&ruleRefExpr{
						pos:  position{line: 370, col: 7, offset: 10384},
						name: "IsNull",
					},
					&ruleRefExpr{
						pos:  position{line: 371, col: 7, offset: 10397},
						name: "IsNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 372, col: 7, offset: 10412},
						name: "IsObject",
					},
					&ruleRefExpr{
						pos:  position{line: 373, col: 7, offset: 10427},
						name: "IsPrimitive",
					},
					&ruleRefExpr{
						pos:  position{line: 374, col: 7, offset: 10445},
						name: "IsString",
					},
				},
			},
		},
		{
			name: "AggregateFunctions",
			pos:  position{line: 376, col: 1, offset: 10455},
			expr: &choiceExpr{
				pos: position{line: 376, col: 23, offset: 10477},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 376, col: 23, offset: 10477},
						name: "AvgAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 377, col: 7, offset: 10506},
						name: "CountAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 378, col: 7, offset: 10537},
						name: "MaxAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 379, col: 7, offset: 10566},
						name: "MinAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 380, col: 7, offset: 10595},
						name: "SumAggregateExpression",
					},
				},
			},
		},
		{
			name: "ArrayFunctions",
			pos:  position{line: 382, col: 1, offset: 10619},
			expr: &choiceExpr{
				pos: position{line: 382, col: 19, offset: 10637},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 382, col: 19, offset: 10637},
						name: "ArrayConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 383, col: 7, offset: 10665},
						name: "ArrayLengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 384, col: 7, offset: 10693},
						name: "ArraySliceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 385, col: 7, offset: 10720},
						name: "SetIntersectExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 386, col: 7, offset: 10749},
						name: "SetUnionExpression",
					},
				},
			},
		},
		{
			name: "UpperExpression",
			pos:  position{line: 388, col: 1, offset: 10769},
			expr: &actionExpr{
				pos: position{line: 388, col: 20, offset: 10788},
				run: (*parser).callonUpperExpression1,
				expr: &seqExpr{
					pos: position{line: 388, col: 20, offset: 10788},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 388, col: 20, offset: 10788},
							val:        "upper",
							ignoreCase: true,
							want:       "\"UPPER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 388, col: 29, offset: 10797},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 388, col: 32, offset: 10800},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 388, col: 36, offset: 10804},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 388, col: 39, offset: 10807},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 388, col: 50, offset: 10818},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LowerExpression",
			pos:  position{line: 392, col: 1, offset: 10903},
			expr: &actionExpr{
				pos: position{line: 392, col: 20, offset: 10922},
				run: (*parser).callonLowerExpression1,
				expr: &seqExpr{
					pos: position{line: 392, col: 20, offset: 10922},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 392, col: 20, offset: 10922},
							val:        "lower",
							ignoreCase: true,
							want:       "\"LOWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 392, col: 29, offset: 10931},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 392, col: 32, offset: 10934},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 392, col: 36, offset: 10938},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 392, col: 39, offset: 10941},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 392, col: 50, offset: 10952},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "StringEqualsExpression",
			pos:  position{line: 396, col: 1, offset: 11037},
			expr: &actionExpr{
				pos: position{line: 396, col: 27, offset: 11063},
				run: (*parser).callonStringEqualsExpression1,
				expr: &seqExpr{
					pos: position{line: 396, col: 27, offset: 11063},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 396, col: 27, offset: 11063},
							val:        "stringequals",
							ignoreCase: true,
							want:       "\"STRINGEQUALS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 43, offset: 11079},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 396, col: 46, offset: 11082},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 50, offset: 11086},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 396, col: 53, offset: 11089},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 396, col: 57, offset: 11093},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 68, offset: 11104},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 396, col: 71, offset: 11107},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 75, offset: 11111},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 396, col: 78, offset: 11114},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 396, col: 82, offset: 11118},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 93, offset: 11129},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 396, col: 96, offset: 11132},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 396, col: 107, offset: 11143},
								expr: &actionExpr{
									pos: position{line: 396, col: 108, offset: 11144},
									run: (*parser).callonStringEqualsExpression17,
									expr: &seqExpr{
										pos: position{line: 396, col: 108, offset: 11144},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 396, col: 108, offset: 11144},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 396, col: 112, offset: 11148},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 396, col: 115, offset: 11151},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 396, col: 123, offset: 11159},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 396, col: 160, offset: 11196},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ToStringExpression",
			pos:  position{line: 400, col: 1, offset: 11306},
			expr: &actionExpr{
				pos: position{line: 400, col: 23, offset: 11328},
				run: (*parser).callonToStringExpression1,
				expr: &seqExpr{
					pos: position{line: 400, col: 23, offset: 11328},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 400, col: 23, offset: 11328},
							val:        "tostring",
							ignoreCase: true,
							want:       "\"TOSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 400, col: 35, offset: 11340},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 400, col: 38, offset: 11343},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 400, col: 42, offset: 11347},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 400, col: 45, offset: 11350},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 400, col: 48, offset: 11353},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 400, col: 59, offset: 11364},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 400, col: 62, offset: 11367},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ConcatExpression",
			pos:  position{line: 404, col: 1, offset: 11455},
			expr: &actionExpr{
				pos: position{line: 404, col: 21, offset: 11475},
				run: (*parser).callonConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 404, col: 21, offset: 11475},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 404, col: 21, offset: 11475},
							val:        "concat",
							ignoreCase: true,
							want:       "\"CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 404, col: 31, offset: 11485},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 404, col: 34, offset: 11488},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 404, col: 38, offset: 11492},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 404, col: 41, offset: 11495},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 404, col: 45, offset: 11499},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 404, col: 56, offset: 11510},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 404, col: 63, offset: 11517},
								expr: &actionExpr{
									pos: position{line: 404, col: 64, offset: 11518},
									run: (*parser).callonConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 404, col: 64, offset: 11518},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 404, col: 64, offset: 11518},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 404, col: 67, offset: 11521},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 404, col: 71, offset: 11525},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 404, col: 74, offset: 11528},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 404, col: 77, offset: 11531},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 404, col: 109, offset: 11563},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 404, col: 112, offset: 11566},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LeftExpression",
			pos:  position{line: 409, col: 1, offset: 11715},
			expr: &actionExpr{
				pos: position{line: 409, col: 19, offset: 11733},
				run: (*parser).callonLeftExpression1,
				expr: &seqExpr{
					pos: position{line: 409, col: 19, offset: 11733},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 409, col: 19, offset: 11733},
							val:        "left",
							ignoreCase: true,
							want:       "\"LEFT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 409, col: 27, offset: 11741},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 409, col: 30, offset: 11744},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 409, col: 34, offset: 11748},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 409, col: 37, offset: 11751},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 409, col: 40, offset: 11754},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 409, col: 51, offset: 11765},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 409, col: 54, offset: 11768},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 409, col: 58, offset: 11772},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 409, col: 61, offset: 11775},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 409, col: 68, offset: 11782},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 409, col: 79, offset: 11793},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 409, col: 82, offset: 11796},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LengthExpression",
			pos:  position{line: 413, col: 1, offset: 11888},
			expr: &actionExpr{
				pos: position{line: 413, col: 21, offset: 11908},
				run: (*parser).callonLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 413, col: 21, offset: 11908},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 413, col: 21, offset: 11908},
							val:        "length",
							ignoreCase: true,
							want:       "\"LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 413, col: 31, offset: 11918},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 413, col: 34, offset: 11921},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 413, col: 38, offset: 11925},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 413, col: 41, offset: 11928},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 413, col: 44, offset: 11931},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 413, col: 55, offset: 11942},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 413, col: 58, offset: 11945},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LTrimExpression",
			pos:  position{line: 417, col: 1, offset: 12031},
			expr: &actionExpr{
				pos: position{line: 417, col: 20, offset: 12050},
				run: (*parser).callonLTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 417, col: 20, offset: 12050},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 417, col: 20, offset: 12050},
							val:        "ltrim",
							ignoreCase: true,
							want:       "\"LTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 417, col: 29, offset: 12059},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 417, col: 32, offset: 12062},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 417, col: 36, offset: 12066},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 417, col: 39, offset: 12069},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 417, col: 42, offset: 12072},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 417, col: 53, offset: 12083},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 417, col: 56, offset: 12086},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplaceExpression",
			pos:  position{line: 421, col: 1, offset: 12171},
			expr: &actionExpr{
				pos: position{line: 421, col: 22, offset: 12192},
				run: (*parser).callonReplaceExpression1,
				expr: &seqExpr{
					pos: position{line: 421, col: 22, offset: 12192},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 421, col: 22, offset: 12192},
							val:        "replace",
							ignoreCase: true,
							want:       "\"REPLACE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 33, offset: 12203},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 421, col: 36, offset: 12206},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 40, offset: 12210},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 421, col: 43, offset: 12213},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 421, col: 47, offset: 12217},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 58, offset: 12228},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 421, col: 61, offset: 12231},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 65, offset: 12235},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 421, col: 68, offset: 12238},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 421, col: 72, offset: 12242},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 83, offset: 12253},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 421, col: 86, offset: 12256},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 90, offset: 12260},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 421, col: 93, offset: 12263},
							label: "ex3",
							expr: &ruleRefExpr{
								pos:  position{line: 421, col: 97, offset: 12267},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 421, col: 108, offset: 12278},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 421, col: 111, offset: 12281},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplicateExpression",
			pos:  position{line: 425, col: 1, offset: 12379},
			expr: &actionExpr{
				pos: position{line: 425, col: 24, offset: 12402},
				run: (*parser).callonReplicateExpression1,
				expr: &seqExpr{
					pos: position{line: 425, col: 24, offset: 12402},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 425, col: 24, offset: 12402},
							val:        "replicate",
							ignoreCase: true,
							want:       "\"REPLICATE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 425, col: 37, offset: 12415},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 425, col: 40, offset: 12418},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 425, col: 44, offset: 12422},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 425, col: 47, offset: 12425},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 425, col: 51, offset: 12429},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 425, col: 62, offset: 12440},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 425, col: 65, offset: 12443},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 425, col: 69, offset: 12447},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 425, col: 72, offset: 12450},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 425, col: 76, offset: 12454},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 425, col: 87, offset: 12465},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 425, col: 90, offset: 12468},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReverseExpression",
			pos:  position{line: 429, col: 1, offset: 12563},
			expr: &actionExpr{
				pos: position{line: 429, col: 22, offset: 12584},
				run: (*parser).callonReverseExpression1,
				expr: &seqExpr{
					pos: position{line: 429, col: 22, offset: 12584},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 429, col: 22, offset: 12584},
							val:        "reverse",
							ignoreCase: true,
							want:       "\"REVERSE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 429, col: 33, offset: 12595},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 429, col: 36, offset: 12598},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 429, col: 40, offset: 12602},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 429, col: 43, offset: 12605},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 429, col: 46, offset: 12608},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 429, col: 57, offset: 12619},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 429, col: 60, offset: 12622},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RightExpression",
			pos:  position{line: 433, col: 1, offset: 12709},
			expr: &actionExpr{
				pos: position{line: 433, col: 20, offset: 12728},
				run: (*parser).callonRightExpression1,
				expr: &seqExpr{
					pos: position{line: 433, col: 20, offset: 12728},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 433, col: 20, offset: 12728},
							val:        "right",
							ignoreCase: true,
							want:       "\"RIGHT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 433, col: 29, offset: 12737},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 433, col: 32, offset: 12740},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 433, col: 36, offset: 12744},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 433, col: 39, offset: 12747},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 433, col: 42, offset: 12750},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 433, col: 53, offset: 12761},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 433, col: 56, offset: 12764},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 433, col: 60, offset: 12768},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 433, col: 63, offset: 12771},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 433, col: 70, offset: 12778},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 433, col: 81, offset: 12789},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 433, col: 84, offset: 12792},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RTrimExpression",
			pos:  position{line: 437, col: 1, offset: 12885},
			expr: &actionExpr{
				pos: position{line: 437, col: 20, offset: 12904},
				run: (*parser).callonRTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 437, col: 20, offset: 12904},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 437, col: 20, offset: 12904},
							val:        "rtrim",
							ignoreCase: true,
							want:       "\"RTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 437, col: 29, offset: 12913},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 437, col: 32, offset: 12916},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 437, col: 36, offset: 12920},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 437, col: 39, offset: 12923},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 437, col: 42, offset: 12926},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 437, col: 53, offset: 12937},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 437, col: 56, offset: 12940},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubstringExpression",
			pos:  position{line: 441, col: 1, offset: 13025},
			expr: &actionExpr{
				pos: position{line: 441, col: 24, offset: 13048},
				run: (*parser).callonSubstringExpression1,
				expr: &seqExpr{
					pos: position{line: 441, col: 24, offset: 13048},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 441, col: 24, offset: 13048},
							val:        "substring",
							ignoreCase: true,
							want:       "\"SUBSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 37, offset: 13061},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 441, col: 40, offset: 13064},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 44, offset: 13068},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 441, col: 47, offset: 13071},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 441, col: 50, offset: 13074},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 61, offset: 13085},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 441, col: 64, offset: 13088},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 68, offset: 13092},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 441, col: 71, offset: 13095},
							label: "startPos",
							expr: &ruleRefExpr{
								pos:  position{line: 441, col: 80, offset: 13104},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 91, offset: 13115},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 441, col: 94, offset: 13118},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 98, offset: 13122},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 441, col: 101, offset: 13125},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 441, col: 108, offset: 13132},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 441, col: 119, offset: 13143},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 441, col: 122, offset: 13146},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "TrimExpression",
			pos:  position{line: 445, col: 1, offset: 13253},
			expr: &actionExpr{
				pos: position{line: 445, col: 19, offset: 13271},
				run: (*parser).callonTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 445, col: 19, offset: 13271},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 445, col: 19, offset: 13271},
							val:        "trim",
							ignoreCase: true,
							want:       "\"TRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 445, col: 27, offset: 13279},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 445, col: 30, offset: 13282},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 445, col: 34, offset: 13286},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 445, col: 37, offset: 13289},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 445, col: 40, offset: 13292},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 445, col: 51, offset: 13303},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 445, col: 54, offset: 13306},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunctionExpression",
			pos:  position{line: 449, col: 1, offset: 13390},
			expr: &actionExpr{
				pos: position{line: 449, col: 42, offset: 13431},
				run: (*parser).callonThreeArgumentStringFunctionExpression1,
				expr: &seqExpr{
					pos: position{line: 449, col: 42, offset: 13431},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 449, col: 42, offset: 13431},
							label: "function",
							expr: &ruleRefExpr{
								pos:  position{line: 449, col: 51, offset: 13440},
								name: "ThreeArgumentStringFunction",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 449, col: 79, offset: 13468},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 449, col: 82, offset: 13471},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 449, col: 86, offset: 13475},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 449, col: 89, offset: 13478},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 449, col: 93, offset: 13482},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 449, col: 104, offset: 13493},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 449, col: 107, offset: 13496},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 449, col: 111, offset: 13500},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 449, col: 114, offset: 13503},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 449, col: 118, offset: 13507},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 449, col: 129, offset: 13518},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 449, col: 132, offset: 13521},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 449, col: 143, offset: 13532},
								expr: &actionExpr{
									pos: position{line: 449, col: 144, offset: 13533},
									run: (*parser).callonThreeArgumentStringFunctionExpression18,
									expr: &seqExpr{
										pos: position{line: 449, col: 144, offset: 13533},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 449, col: 144, offset: 13533},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 449, col: 148, offset: 13537},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 449, col: 151, offset: 13540},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 449, col: 159, offset: 13548},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 449, col: 196, offset: 13585},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunction",
			pos:  position{line: 467, col: 1, offset: 14107},
			expr: &actionExpr{
				pos: position{line: 467, col: 32, offset: 14138},
				run: (*parser).callonThreeArgumentStringFunction1,
				expr: &choiceExpr{
					pos: position{line: 467, col: 33, offset: 14139},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 467, col: 33, offset: 14139},
							val:        "contains",
							ignoreCase: true,
							want:       "\"CONTAINS\"i",
						},
						&litMatcher{
							pos:        position{line: 467, col: 47, offset: 14153},
							val:        "endswith",
							ignoreCase: true,
							want:       "\"ENDSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 467, col: 61, offset: 14167},
							val:        "startswith",
							ignoreCase: true,
							want:       "\"STARTSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 467, col: 77, offset: 14183},
							val:        "index_of",
							ignoreCase: true,
							want:       "\"INDEX_OF\"i",
						},
					},
				},
			},
		},
		{
			name: "IsDefined",
			pos:  position{line: 471, col: 1, offset: 14232},
			expr: &actionExpr{
				pos: position{line: 471, col: 14, offset: 14245},
				run: (*parser).callonIsDefined1,
				expr: &seqExpr{
					pos: position{line: 471, col: 14, offset: 14245},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 471, col: 14, offset: 14245},
							val:        "is_defined",
							ignoreCase: true,
							want:       "\"IS_DEFINED\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 471, col: 28, offset: 14259},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 471, col: 31, offset: 14262},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 471, col: 35, offset: 14266},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 471, col: 38, offset: 14269},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 471, col: 41, offset: 14272},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 471, col: 52, offset: 14283},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 471, col: 55, offset: 14286},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsArray",
			pos:  position{line: 475, col: 1, offset: 14375},
			expr: &actionExpr{
				pos: position{line: 475, col: 12, offset: 14386},
				run: (*parser).callonIsArray1,
				expr: &seqExpr{
					pos: position{line: 475, col: 12, offset: 14386},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 475, col: 12, offset: 14386},
							val:        "is_array",
							ignoreCase: true,
							want:       "\"IS_ARRAY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 475, col: 24, offset: 14398},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 475, col: 27, offset: 14401},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 475, col: 31, offset: 14405},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 475, col: 34, offset: 14408},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 475, col: 37, offset: 14411},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 475, col: 48, offset: 14422},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 475, col: 51, offset: 14425},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsBool",
			pos:  position{line: 479, col: 1, offset: 14512},
			expr: &actionExpr{
				pos: position{line: 479, col: 11, offset: 14522},
				run: (*parser).callonIsBool1,
				expr: &seqExpr{
					pos: position{line: 479, col: 11, offset: 14522},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 479, col: 11, offset: 14522},
							val:        "is_bool",
							ignoreCase: true,
							want:       "\"IS_BOOL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 479, col: 22, offset: 14533},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 479, col: 25, offset: 14536},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 479, col: 29, offset: 14540},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 479, col: 32, offset: 14543},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 479, col: 35, offset: 14546},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 479, col: 46, offset: 14557},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 479, col: 49, offset: 14560},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsFiniteNumber",
			pos:  position{line: 483, col: 1, offset: 14646},
			expr: &actionExpr{
				pos: position{line: 483, col: 19, offset: 14664},
				run: (*parser).callonIsFiniteNumber1,
				expr: &seqExpr{
					pos: position{line: 483, col: 19, offset: 14664},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 483, col: 19, offset: 14664},
							val:        "is_finite_number",
							ignoreCase: true,
							want:       "\"IS_FINITE_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 483, col: 39, offset: 14684},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 483, col: 42, offset: 14687},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 483, col: 46, offset: 14691},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 483, col: 49, offset: 14694},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 483, col: 52, offset: 14697},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 483, col: 63, offset: 14708},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 483, col: 66, offset: 14711},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsInteger",
			pos:  position{line: 487, col: 1, offset: 14805},
			expr: &actionExpr{
				pos: position{line: 487, col: 14, offset: 14818},
				run: (*parser).callonIsInteger1,
				expr: &seqExpr{
					pos: position{line: 487, col: 14, offset: 14818},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 487, col: 14, offset: 14818},
							val:        "is_integer",
							ignoreCase: true,
							want:       "\"IS_INTEGER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 487, col: 28, offset: 14832},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 487, col: 31, offset: 14835},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 487, col: 35, offset: 14839},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 487, col: 38, offset: 14842},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 487, col: 41, offset: 14845},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 487, col: 52, offset: 14856},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 487, col: 55, offset: 14859},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNull",
			pos:  position{line: 491, col: 1, offset: 14948},
			expr: &actionExpr{
				pos: position{line: 491, col: 11, offset: 14958},
				run: (*parser).callonIsNull1,
				expr: &seqExpr{
					pos: position{line: 491, col: 11, offset: 14958},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 491, col: 11, offset: 14958},
							val:        "is_null",
							ignoreCase: true,
							want:       "\"IS_NULL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 491, col: 22, offset: 14969},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 491, col: 25, offset: 14972},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 491, col: 29, offset: 14976},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 491, col: 32, offset: 14979},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 491, col: 35, offset: 14982},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 491, col: 46, offset: 14993},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 491, col: 49, offset: 14996},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNumber",
			pos:  position{line: 495, col: 1, offset: 15082},
			expr: &actionExpr{
				pos: position{line: 495, col: 13, offset: 15094},
				run: (*parser).callonIsNumber1,
				expr: &seqExpr{
					pos: position{line: 495, col: 13, offset: 15094},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 495, col: 13, offset: 15094},
							val:        "is_number",
							ignoreCase: true,
							want:       "\"IS_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 495, col: 26, offset: 15107},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 495, col: 29, offset: 15110},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 495, col: 33, offset: 15114},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 495, col: 36, offset: 15117},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 495, col: 39, offset: 15120},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 495, col: 50, offset: 15131},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 495, col: 53, offset: 15134},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsObject",
			pos:  position{line: 499, col: 1, offset: 15222},
			expr: &actionExpr{
				pos: position{line: 499, col: 13, offset: 15234},
				run: (*parser).callonIsObject1,
				expr: &seqExpr{
					pos: position{line: 499, col: 13, offset: 15234},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 499, col: 13, offset: 15234},
							val:        "is_object",
							ignoreCase: true,
							want:       "\"IS_OBJECT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 499, col: 26, offset: 15247},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 499, col: 29, offset: 15250},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 499, col: 33, offset: 15254},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 499, col: 36, offset: 15257},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 499, col: 39, offset: 15260},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 499, col: 50, offset: 15271},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 499, col: 53, offset: 15274},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsPrimitive",
			pos:  position{line: 503, col: 1, offset: 15362},
			expr: &actionExpr{
				pos: position{line: 503, col: 16, offset: 15377},
				run: (*parser).callonIsPrimitive1,
				expr: &seqExpr{
					pos: position{line: 503, col: 16, offset: 15377},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 503, col: 16, offset: 15377},
							val:        "is_primitive",
							ignoreCase: true,
							want:       "\"IS_PRIMITIVE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 503, col: 32, offset: 15393},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 503, col: 35, offset: 15396},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 503, col: 39, offset: 15400},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 503, col: 42, offset: 15403},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 503, col: 45, offset: 15406},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 503, col: 56, offset: 15417},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 503, col: 59, offset: 15420},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsString",
			pos:  position{line: 507, col: 1, offset: 15511},
			expr: &actionExpr{
				pos: position{line: 507, col: 13, offset: 15523},
				run: (*parser).callonIsString1,
				expr: &seqExpr{
					pos: position{line: 507, col: 13, offset: 15523},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 507, col: 13, offset: 15523},
							val:        "is_string",
							ignoreCase: true,
							want:       "\"IS_STRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 507, col: 26, offset: 15536},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 507, col: 29, offset: 15539},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 507, col: 33, offset: 15543},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 507, col: 36, offset: 15546},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 507, col: 39, offset: 15549},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 507, col: 50, offset: 15560},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 507, col: 53, offset: 15563},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayConcatExpression",
			pos:  position{line: 511, col: 1, offset: 15651},
			expr: &actionExpr{
				pos: position{line: 511, col: 26, offset: 15676},
				run: (*parser).callonArrayConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 511, col: 26, offset: 15676},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 511, col: 26, offset: 15676},
							val:        "array_concat",
							ignoreCase: true,
							want:       "\"ARRAY_CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 511, col: 42, offset: 15692},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 511, col: 45, offset: 15695},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 511, col: 49, offset: 15699},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 511, col: 52, offset: 15702},
							label: "arrays",
							expr: &ruleRefExpr{
								pos:  position{line: 511, col: 59, offset: 15709},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 511, col: 70, offset: 15720},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 511, col: 77, offset: 15727},
								expr: &actionExpr{
									pos: position{line: 511, col: 78, offset: 15728},
									run: (*parser).callonArrayConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 511, col: 78, offset: 15728},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 511, col: 78, offset: 15728},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 511, col: 81, offset: 15731},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 511, col: 85, offset: 15735},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 511, col: 88, offset: 15738},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 511, col: 91, offset: 15741},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 511, col: 123, offset: 15773},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 511, col: 126, offset: 15776},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayLengthExpression",
			pos:  position{line: 515, col: 1, offset: 15906},
			expr: &actionExpr{
				pos: position{line: 515, col: 26, offset: 15931},
				run: (*parser).callonArrayLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 515, col: 26, offset: 15931},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 515, col: 26, offset: 15931},
							val:        "array_length",
							ignoreCase: true,
							want:       "\"ARRAY_LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 515, col: 42, offset: 15947},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 515, col: 45, offset: 15950},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 515, col: 49, offset: 15954},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 515, col: 52, offset: 15957},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 515, col: 58, offset: 15963},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 515, col: 69, offset: 15974},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 515, col: 72, offset: 15977},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArraySliceExpression",
			pos:  position{line: 519, col: 1, offset: 16071},
			expr: &actionExpr{
				pos: position{line: 519, col: 25, offset: 16095},
				run: (*parser).callonArraySliceExpression1,
				expr: &seqExpr{
					pos: position{line: 519, col: 25, offset: 16095},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 519, col: 25, offset: 16095},
							val:        "array_slice",
							ignoreCase: true,
							want:       "\"ARRAY_SLICE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 519, col: 40, offset: 16110},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 519, col: 43, offset: 16113},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 519, col: 47, offset: 16117},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 519, col: 50, offset: 16120},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 519, col: 56, offset: 16126},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 519, col: 67, offset: 16137},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 519, col: 70, offset: 16140},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 519, col: 74, offset: 16144},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 519, col: 77, offset: 16147},
							label: "start",
							expr: &ruleRefExpr{
								pos:  position{line: 519, col: 83, offset: 16153},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 519, col: 94, offset: 16164},
							label: "length",
							expr: &zeroOrOneExpr{
								pos: position{line: 519, col: 101, offset: 16171},
								expr: &actionExpr{
									pos: position{line: 519, col: 102, offset: 16172},
									run: (*parser).callonArraySliceExpression16,
									expr: &seqExpr{
										pos: position{line: 519, col: 102, offset: 16172},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 519, col: 102, offset: 16172},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 519, col: 105, offset: 16175},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 519, col: 109, offset: 16179},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 519, col: 112, offset: 16182},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 519, col: 115, offset: 16185},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 519, col: 147, offset: 16217},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 519, col: 150, offset: 16220},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetIntersectExpression",
			pos:  position{line: 523, col: 1, offset: 16328},
			expr: &actionExpr{
				pos: position{line: 523, col: 27, offset: 16354},
				run: (*parser).callonSetIntersectExpression1,
				expr: &seqExpr{
					pos: position{line: 523, col: 27, offset: 16354},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 523, col: 27, offset: 16354},
							val:        "setintersect",
							ignoreCase: true,
							want:       "\"SetIntersect\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 523, col: 43, offset: 16370},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 523, col: 46, offset: 16373},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 523, col: 50, offset: 16377},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 523, col: 53, offset: 16380},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 523, col: 58, offset: 16385},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 523, col: 69, offset: 16396},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 523, col: 72, offset: 16399},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 523, col: 76, offset: 16403},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 523, col: 79, offset: 16406},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 523, col: 84, offset: 16411},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 523, col: 95, offset: 16422},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 523, col: 98, offset: 16425},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetUnionExpression",
			pos:  position{line: 527, col: 1, offset: 16525},
			expr: &actionExpr{
				pos: position{line: 527, col: 23, offset: 16547},
				run: (*parser).callonSetUnionExpression1,
				expr: &seqExpr{
					pos: position{line: 527, col: 23, offset: 16547},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 527, col: 23, offset: 16547},
							val:        "setunion",
							ignoreCase: true,
							want:       "\"SetUnion\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 527, col: 35, offset: 16559},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 527, col: 38, offset: 16562},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 527, col: 42, offset: 16566},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 527, col: 45, offset: 16569},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 527, col: 50, offset: 16574},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 527, col: 61, offset: 16585},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 527, col: 64, offset: 16588},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 527, col: 68, offset: 16592},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 527, col: 71, offset: 16595},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 527, col: 76, offset: 16600},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 527, col: 87, offset: 16611},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 527, col: 90, offset: 16614},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "InFunction",
			pos:  position{line: 531, col: 1, offset: 16710},
			expr: &actionExpr{
				pos: position{line: 531, col: 15, offset: 16724},
				run: (*parser).callonInFunction1,
				expr: &seqExpr{
					pos: position{line: 531, col: 15, offset: 16724},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 531, col: 15, offset: 16724},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 531, col: 19, offset: 16728},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 531, col: 34, offset: 16743},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 531, col: 37, offset: 16746},
							val:        "in",
							ignoreCase: true,
							want:       "\"IN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 531, col: 43, offset: 16752},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 531, col: 46, offset: 16755},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 531, col: 50, offset: 16759},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 531, col: 53, offset: 16762},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 531, col: 57, offset: 16766},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 531, col: 68, offset: 16777},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 531, col: 75, offset: 16784},
								expr: &actionExpr{
									pos: position{line: 531, col: 76, offset: 16785},
									run: (*parser).callonInFunction14,
									expr: &seqExpr{
										pos: position{line: 531, col: 76, offset: 16785},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 531, col: 76, offset: 16785},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 531, col: 79, offset: 16788},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 531, col: 83, offset: 16792},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 531, col: 86, offset: 16795},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 531, col: 89, offset: 16798},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 531, col: 121, offset: 16830},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 531, col: 124, offset: 16833},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "AvgAggregateExpression",
			pos:  position{line: 535, col: 1, offset: 16956},
			expr: &actionExpr{
				pos: position{line: 535, col: 29, offset: 16984},
				run: (*parser).callonAvgAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 535, col: 29, offset: 16984},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 535, col: 29, offset: 16984},
							val:        "avg",
							ignoreCase: true,
							want:       "\"AVG\"i",
						},
						&litMatcher{
							pos:        position{line: 535, col: 36, offset: 16991},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 535, col: 40, offset: 16995},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 535, col: 43, offset: 16998},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 535, col: 46, offset: 17001},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 535, col: 58, offset: 17013},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 535, col: 61, offset: 17016},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "CountAggregateExpression",
			pos:  position{line: 539, col: 1, offset: 17108},
			expr: &actionExpr{
				pos: position{line: 539, col: 29, offset: 17136},
				run: (*parser).callonCountAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 539, col: 29, offset: 17136},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 539, col: 29, offset: 17136},
							val:        "count",
							ignoreCase: true,
							want:       "\"COUNT\"i",
						},
						&litMatcher{
							pos:        position{line: 539, col: 38, offset: 17145},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 539, col: 42, offset: 17149},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 539, col: 45, offset: 17152},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 539, col: 48, offset: 17155},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 539, col: 59, offset: 17166},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 539, col: 62, offset: 17169},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MaxAggregateExpression",
			pos:  position{line: 543, col: 1, offset: 17263},
			expr: &actionExpr{
				pos: position{line: 543, col: 29, offset: 17291},
				run: (*parser).callonMaxAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 543, col: 29, offset: 17291},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 543, col: 29, offset: 17291},
							val:        "max",
							ignoreCase: true,
							want:       "\"MAX\"i",
						},
						&litMatcher{
							pos:        position{line: 543, col: 36, offset: 17298},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 543, col: 40, offset: 17302},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 543, col: 43, offset: 17305},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 543, col: 46, offset: 17308},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 543, col: 57, offset: 17319},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 543, col: 60, offset: 17322},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MinAggregateExpression",
			pos:  position{line: 547, col: 1, offset: 17414},
			expr: &actionExpr{
				pos: position{line: 547, col: 29, offset: 17442},
				run: (*parser).callonMinAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 547, col: 29, offset: 17442},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 547, col: 29, offset: 17442},
							val:        "min",
							ignoreCase: true,
							want:       "\"MIN\"i",
						},
						&litMatcher{
							pos:        position{line: 547, col: 36, offset: 17449},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 547, col: 40, offset: 17453},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 547, col: 43, offset: 17456},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 547, col: 46, offset: 17459},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 547, col: 57, offset: 17470},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 547, col: 60, offset: 17473},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SumAggregateExpression",
			pos:  position{line: 551, col: 1, offset: 17565},
			expr: &actionExpr{
				pos: position{line: 551, col: 29, offset: 17593},
				run: (*parser).callonSumAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 551, col: 29, offset: 17593},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 551, col: 29, offset: 17593},
							val:        "sum",
							ignoreCase: true,
							want:       "\"SUM\"i",
						},
						&litMatcher{
							pos:        position{line: 551, col: 36, offset: 17600},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 551, col: 40, offset: 17604},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 551, col: 43, offset: 17607},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 551, col: 46, offset: 17610},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 551, col: 57, offset: 17621},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 551, col: 60, offset: 17624},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "Integer",
			pos:  position{line: 555, col: 1, offset: 17716},
			expr: &actionExpr{
				pos: position{line: 555, col: 12, offset: 17727},
				run: (*parser).callonInteger1,
				expr: &oneOrMoreExpr{
					pos: position{line: 555, col: 12, offset: 17727},
					expr: &charClassMatcher{
						pos:        position{line: 555, col: 12, offset: 17727},
						val:        "[0-9]",
						ranges:     []rune{'0', '9'},
						ignoreCase: false,
						inverted:   false,
					},
				},
			},
		},
		{
			name: "StringCharacter",
			pos:  position{line: 559, col: 1, offset: 17779},
			expr: &choiceExpr{
				pos: position{line: 559, col: 20, offset: 17798},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 559, col: 20, offset: 17798},
						run: (*parser).callonStringCharacter2,
						expr: &seqExpr{
							pos: position{line: 559, col: 20, offset: 17798},
							exprs: []any{
								&notExpr{
									pos: position{line: 559, col: 20, offset: 17798},
									expr: &choiceExpr{
										pos: position{line: 559, col: 22, offset: 17800},
										alternatives: []any{
											&litMatcher{
												pos:        position{line: 559, col: 22, offset: 17800},
												val:        "\"",
												ignoreCase: false,
												want:       "\"\\\"\"",
											},
											&litMatcher{
												pos:        position{line: 559, col: 28, offset: 17806},
												val:        "\\",
												ignoreCase: false,
												want:       "\"\\\\\"",
											},
										},
									},
								},
								&anyMatcher{
									line: 559, col: 34, offset: 17812,
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 560, col: 5, offset: 17849},
						run: (*parser).callonStringCharacter9,
						expr: &seqExpr{
							pos: position{line: 560, col: 5, offset: 17849},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 560, col: 5, offset: 17849},
									val:        "\\",
									ignoreCase: false,
									want:       "\"\\\\\"",
								},
								&labeledExpr{
									pos:   position{line: 560, col: 10, offset: 17854},
									label: "seq",
									expr: &ruleRefExpr{
										pos:  position{line: 560, col: 14, offset: 17858},
										name: "EscapeSequenceCharacter",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "EscapeSequenceCharacter",
			pos:  position{line: 562, col: 1, offset: 17903},
			expr: &labeledExpr{
				pos:   position{line: 562, col: 28, offset: 17930},
				label: "char",
				expr: &ruleRefExpr{
					pos:  position{line: 562, col: 33, offset: 17935},
					name: "EscapeCharacter",
				},
			},
		},
		{
			name: "EscapeCharacter",
			pos:  position{line: 564, col: 1, offset: 17952},
			expr: &choiceExpr{
				pos: position{line: 564, col: 20, offset: 17971},
				alternatives: []any{
					&litMatcher{
						pos:        position{line: 564, col: 20, offset: 17971},
						val:        "'",
						ignoreCase: false,
						want:       "\"'\"",
					},
					&litMatcher{
						pos:        position{line: 565, col: 5, offset: 17979},
						val:        "\"",
						ignoreCase: false,
						want:       "\"\\\"\"",
					},
					&litMatcher{
						pos:        position{line: 566, col: 5, offset: 17987},
						val:        "\\",
						ignoreCase: false,
						want:       "\"\\\\\"",
					},
					&actionExpr{
						pos: position{line: 567, col: 5, offset: 17996},
						run: (*parser).callonEscapeCharacter5,
						expr: &litMatcher{
							pos:        position{line: 567, col: 5, offset: 17996},
							val:        "b",
							ignoreCase: false,
							want:       "\"b\"",
						},
					},
					&actionExpr{
						pos: position{line: 568, col: 5, offset: 18025},
						run: (*parser).callonEscapeCharacter7,
						expr: &litMatcher{
							pos:        position{line: 568, col: 5, offset: 18025},
							val:        "f",
							ignoreCase: false,
							want:       "\"f\"",
						},
					},
					&actionExpr{
						pos: position{line: 569, col: 5, offset: 18054},
						run: (*parser).callonEscapeCharacter9,
						expr: &litMatcher{
							pos:        position{line: 569, col: 5, offset: 18054},
							val:        "n",
							ignoreCase: false,
							want:       "\"n\"",
						},
					},
					&actionExpr{
						pos: position{line: 570, col: 5, offset: 18083},
						run: (*parser).callonEscapeCharacter11,
						expr: &litMatcher{
							pos:        position{line: 570, col: 5, offset: 18083},
							val:        "r",
							ignoreCase: false,
							want:       "\"r\"",
						},
					},
					&actionExpr{
						pos: position{line: 571, col: 5, offset: 18112},
						run: (*parser).callonEscapeCharacter13,
						expr: &litMatcher{
							pos:        position{line: 571, col: 5, offset: 18112},
							val:        "t",
							ignoreCase: false,
							want:       "\"t\"",
						},
					},
				},
			},
		},
		{
			name: "non_escape_character",
			pos:  position{line: 573, col: 1, offset: 18138},
			expr: &actionExpr{
				pos: position{line: 573, col: 25, offset: 18162},
				run: (*parser).callonnon_escape_character1,
				expr: &seqExpr{
					pos: position{line: 573, col: 25, offset: 18162},
					exprs: []any{
						&notExpr{
							pos: position{line: 573, col: 25, offset: 18162},
							expr: &ruleRefExpr{
								pos:  position{line: 573, col: 27, offset: 18164},
								name: "escape_character",
							},
						},
						&labeledExpr{
							pos:   position{line: 573, col: 45, offset: 18182},
							label: "char",
							expr: &anyMatcher{
								line: 573, col: 50, offset: 18187,
							},
						},
					},
				},
			},
		},
		{
			name: "ws",
			pos:  position{line: 576, col: 1, offset: 18226},
			expr: &zeroOrMoreExpr{
				pos: position{line: 576, col: 7, offset: 18232},
				expr: &charClassMatcher{
					pos:        position{line: 576, col: 7, offset: 18232},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "EOF",
			pos:  position{line: 578, col: 1, offset: 18244},
			expr: &notExpr{
				pos: position{line: 578, col: 8, offset: 18251},
				expr: &anyMatcher{
					line: 578, col: 9, offset: 18252,
				},
			},
		},
	},
}

func (c *current) onInput1(selectStmt any) (any, error) {
	return selectStmt, nil
}

func (p *parser) callonInput1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInput1(stack["selectStmt"])
}

func (c *current) onSelectStmt23(condition any) (any, error) {
	return condition, nil
}

func (p *parser) callonSelectStmt23() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt23(stack["condition"])
}

func (c *current) onSelectStmt32(columns any) (any, error) {
	return columns, nil
}

func (p *parser) callonSelectStmt32() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt32(stack["columns"])
}

func (c *current) onSelectStmt1(distinctClause, topClause, columns, table, whereClause, groupByClause, orderByClause, offsetClause any) (any, error) {
	return makeSelectStmt(columns, table, whereClause,
		distinctClause, topClause, groupByClause, orderByClause, offsetClause)
}

func (p *parser) callonSelectStmt1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt1(stack["distinctClause"], stack["topClause"], stack["columns"], stack["table"], stack["whereClause"], stack["groupByClause"], stack["orderByClause"], stack["offsetClause"])
}

func (c *current) onTopClause1(count any) (any, error) {
	return count, nil
}

func (p *parser) callonTopClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTopClause1(stack["count"])
}

func (c *current) onOffsetClause1(offset, limit any) (any, error) {
	return []interface{}{offset.(parsers.Constant).Value, limit.(parsers.Constant).Value}, nil
}

func (p *parser) callonOffsetClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOffsetClause1(stack["offset"], stack["limit"])
}

func (c *current) onSelectAsterisk1() (any, error) {
	selectItem, _ := makeSelectItem("c", make([]interface{}, 0), parsers.SelectItemTypeField)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectAsterisk1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectAsterisk1()
}

func (c *current) onColumnList7(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonColumnList7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList7(stack["coll"])
}

func (c *current) onColumnList1(column, other_columns any) (any, error) {
	return makeColumnList(column, other_columns)
}

func (p *parser) callonColumnList1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList1(stack["column"], stack["other_columns"])
}

func (c *current) onSelectValueSpec1(column any) (any, error) {
	selectItem := column.(parsers.SelectItem)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectValueSpec1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectValueSpec1(stack["column"])
}

func (c *current) onTableName1(key any) (any, error) {
	return parsers.Table{Value: key.(string)}, nil
}

func (p *parser) callonTableName1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTableName1(stack["key"])
}

func (c *current) onSelectArray1(columns any) (any, error) {
	return makeSelectArray(columns)
}

func (p *parser) callonSelectArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectArray1(stack["columns"])
}

func (c *current) onSelectObject10(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonSelectObject10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject10(stack["coll"])
}

func (c *current) onSelectObject1(field, other_fields any) (any, error) {
	return makeSelectObject(field, other_fields)
}

func (p *parser) callonSelectObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject1(stack["field"], stack["other_fields"])
}

func (c *current) onSelectObjectField6(key any) (any, error) {
	return key, nil
}

func (p *parser) callonSelectObjectField6() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField6(stack["key"])
}

func (c *current) onSelectObjectField1(name, selectItem any) (any, error) {
	item := selectItem.(parsers.SelectItem)
	item.Alias = name.(string)
	return item, nil
}

func (p *parser) callonSelectObjectField1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField1(stack["name"], stack["selectItem"])
}

func (c *current) onSelectProperty1(name, path any) (any, error) {
	return makeSelectItem(name, path, parsers.SelectItemTypeField)
}

func (p *parser) callonSelectProperty1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectProperty1(stack["name"], stack["path"])
}

func (c *current) onSelectItem1(selectItem, asClause any) (any, error) {
	var itemResult parsers.SelectItem
	switch typedValue := selectItem.(type) {
	case parsers.SelectItem:
		itemResult = typedValue
	case parsers.Constant:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeConstant,
			Value: typedValue,
		}
	case parsers.FunctionCall:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeFunctionCall,
			Value: typedValue,
		}
	}

	if aliasValue, ok := asClause.(string); ok {
		itemResult.Alias = aliasValue
	}

	return itemResult, nil
}

func (p *parser) callonSelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItem1(stack["selectItem"], stack["asClause"])
}

func (c *current) onAsClause1(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonAsClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAsClause1(stack["alias"])
}

func (c *current) onDotFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonDotFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onDotFieldAccess1(stack["id"])
}

func (c *current) onArrayFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonArrayFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess1(stack["id"])
}

func (c *current) onIdentifier1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonIdentifier1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIdentifier1()
}

func (c *current) onCondition1(expression any) (any, error) {
	return expression, nil
}

func (p *parser) callonCondition1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCondition1(stack["expression"])
}

func (c *current) onOrExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression7(stack["ex"])
}

func (c *current) onOrExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeOr)
}

func (p *parser) callonOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onAndExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonAndExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression7(stack["ex"])
}

func (c *current) onAndExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeAnd)
}

func (p *parser) callonAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onComparisonExpression2(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression2(stack["ex"])
}

func (c *current) onComparisonExpression10(left, op, right any) (any, error) {
	return parsers.ComparisonExpression{Left: left, Right: right, Operation: op.(string)}, nil
}

func (p *parser) callonComparisonExpression10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression10(stack["left"], stack["op"], stack["right"])
}

func (c *current) onComparisonExpression20(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression20() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression20(stack["ex"])
}

func (c *current) onComparisonExpression23(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression23() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression23(stack["ex"])
}

func (c *current) onOrderByClause9(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrderByClause9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause9(stack["ex"])
}

func (c *current) onOrderByClause1(ex1, others any) (any, error) {
	return makeOrderByClause(ex1, others)
}

func (p *parser) callonOrderByClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause1(stack["ex1"], stack["others"])
}

func (c *current) onOrderExpression1(field, order any) (any, error) {
	return makeOrderExpression(field, order)
}

func (p *parser) callonOrderExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderExpression1(stack["field"], stack["order"])
}

func (c *current) onOrderDirection1() (any, error) {
	if strings.EqualFold(string(c.text), "DESC") {
		return parsers.OrderDirectionDesc, nil
	}

	return parsers.OrderDirectionAsc, nil
}

func (p *parser) callonOrderDirection1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderDirection1()
}

func (c *current) onComparisonOperator1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonComparisonOperator1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonOperator1()
}

func (c *current) onParameterConstant1() (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeParameterConstant, Value: string(c.text)}, nil
}

func (p *parser) callonParameterConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onParameterConstant1()
}

func (c *current) onNullConstant1() (any, error) {
	return parsers.Constant{Value: nil}, nil
}

func (p *parser) callonNullConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onNullConstant1()
}

func (c *current) onIntegerLiteral1(number any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeInteger, Value: number.(int)}, nil
}

func (p *parser) callonIntegerLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIntegerLiteral1(stack["number"])
}

func (c *current) onStringLiteral1(chars any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeString, Value: joinStrings(chars.([]interface{}))}, nil
}

func (p *parser) callonStringLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringLiteral1(stack["chars"])
}

func (c *current) onFloatLiteral1() (any, error) {
	floatValue, _ := strconv.ParseFloat(string(c.text), 64)
	return parsers.Constant{Type: parsers.ConstantTypeFloat, Value: floatValue}, nil
}

func (p *parser) callonFloatLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFloatLiteral1()
}

func (c *current) onBooleanLiteral1() (any, error) {
	boolValue, _ := strconv.ParseBool(string(c.text))
	return parsers.Constant{Type: parsers.ConstantTypeBoolean, Value: boolValue}, nil
}

func (p *parser) callonBooleanLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onBooleanLiteral1()
}

func (c *current) onUpperExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallUpper, []interface{}{ex})
}

func (p *parser) callonUpperExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onUpperExpression1(stack["ex"])
}

func (c *current) onLowerExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLower, []interface{}{ex})
}

func (p *parser) callonLowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLowerExpression1(stack["ex"])
}

func (c *current) onStringEqualsExpression17(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonStringEqualsExpression17() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression17(stack["boolean"])
}

func (c *current) onStringEqualsExpression1(ex1, ex2, ignoreCase any) (any, error) {
	return createFunctionCall(parsers.FunctionCallStringEquals, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonStringEqualsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression1(stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onToStringExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallToString, []interface{}{ex})
}

func (p *parser) callonToStringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onToStringExpression1(stack["ex"])
}

func (c *current) onConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression11(stack["ex"])
}

func (c *current) onConcatExpression1(ex1, others any) (any, error) {
	arguments := append([]interface{}{ex1}, others.([]interface{})...)
	return createFunctionCall(parsers.FunctionCallConcat, arguments)
}

func (p *parser) callonConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression1(stack["ex1"], stack["others"])
}

func (c *current) onLeftExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLeft, []interface{}{ex, length})
}

func (p *parser) callonLeftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLeftExpression1(stack["ex"], stack["length"])
}

func (c *current) onLengthExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLength, []interface{}{ex})
}

func (p *parser) callonLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLengthExpression1(stack["ex"])
}

func (c *current) onLTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLTrim, []interface{}{ex})
}

func (p *parser) callonLTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLTrimExpression1(stack["ex"])
}

func (c *current) onReplaceExpression1(ex1, ex2, ex3 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplace, []interface{}{ex1, ex2, ex3})
}

func (p *parser) callonReplaceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplaceExpression1(stack["ex1"], stack["ex2"], stack["ex3"])
}

func (c *current) onReplicateExpression1(ex1, ex2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplicate, []interface{}{ex1, ex2})
}

func (p *parser) callonReplicateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplicateExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onReverseExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReverse, []interface{}{ex})
}

func (p *parser) callonReverseExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReverseExpression1(stack["ex"])
}

func (c *current) onRightExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRight, []interface{}{ex, length})
}

func (p *parser) callonRightExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRightExpression1(stack["ex"], stack["length"])
}

func (c *current) onRTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRTrim, []interface{}{ex})
}

func (p *parser) callonRTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRTrimExpression1(stack["ex"])
}

func (c *current) onSubstringExpression1(ex, startPos, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSubstring, []interface{}{ex, startPos, length})
}

func (p *parser) callonSubstringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubstringExpression1(stack["ex"], stack["startPos"], stack["length"])
}

func (c *current) onTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallTrim, []interface{}{ex})
}

func (p *parser) callonTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTrimExpression1(stack["ex"])
}

func (c *current) onThreeArgumentStringFunctionExpression18(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonThreeArgumentStringFunctionExpression18() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression18(stack["boolean"])
}

func (c *current) onThreeArgumentStringFunctionExpression1(function, ex1, ex2, ignoreCase any) (any, error) {
	var functionType parsers.FunctionCallType

	lowerFunction := strings.ToUpper(function.(string))
	switch lowerFunction {
	case "CONTAINS":
		functionType = parsers.FunctionCallContains
	case "ENDSWITH":
		functionType = parsers.FunctionCallEndsWith
	case "STARTSWITH":
		functionType = parsers.FunctionCallStartsWith
	case "INDEX_OF":
		functionType = parsers.FunctionCallIndexOf
	}

	return createFunctionCall(functionType, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonThreeArgumentStringFunctionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression1(stack["function"], stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onThreeArgumentStringFunction1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonThreeArgumentStringFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunction1()
}

func (c *current) onIsDefined1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsDefined, []interface{}{ex})
}

func (p *parser) callonIsDefined1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsDefined1(stack["ex"])
}

func (c *current) onIsArray1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsArray, []interface{}{ex})
}

func (p *parser) callonIsArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsArray1(stack["ex"])
}

func (c *current) onIsBool1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsBool, []interface{}{ex})
}

func (p *parser) callonIsBool1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsBool1(stack["ex"])
}

func (c *current) onIsFiniteNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsFiniteNumber, []interface{}{ex})
}

func (p *parser) callonIsFiniteNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsFiniteNumber1(stack["ex"])
}

func (c *current) onIsInteger1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsInteger, []interface{}{ex})
}

func (p *parser) callonIsInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsInteger1(stack["ex"])
}

func (c *current) onIsNull1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNull, []interface{}{ex})
}

func (p *parser) callonIsNull1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNull1(stack["ex"])
}

func (c *current) onIsNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNumber, []interface{}{ex})
}

func (p *parser) callonIsNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNumber1(stack["ex"])
}

func (c *current) onIsObject1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsObject, []interface{}{ex})
}

func (p *parser) callonIsObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsObject1(stack["ex"])
}

func (c *current) onIsPrimitive1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsPrimitive, []interface{}{ex})
}

func (p *parser) callonIsPrimitive1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsPrimitive1(stack["ex"])
}

func (c *current) onIsString1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsString, []interface{}{ex})
}

func (p *parser) callonIsString1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsString1(stack["ex"])
}

func (c *current) onArrayConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression11(stack["ex"])
}

func (c *current) onArrayConcatExpression1(arrays, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayConcat, append([]interface{}{arrays}, others.([]interface{})...))
}

func (p *parser) callonArrayConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression1(stack["arrays"], stack["others"])
}

func (c *current) onArrayLengthExpression1(array any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayLength, []interface{}{array})
}

func (p *parser) callonArrayLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayLengthExpression1(stack["array"])
}

func (c *current) onArraySliceExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArraySliceExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression16(stack["ex"])
}

func (c *current) onArraySliceExpression1(array, start, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArraySlice, []interface{}{array, start, length})
}

func (p *parser) callonArraySliceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression1(stack["array"], stack["start"], stack["length"])
}

func (c *current) onSetIntersectExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetIntersect, []interface{}{set1, set2})
}

func (p *parser) callonSetIntersectExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetIntersectExpression1(stack["set1"], stack["set2"])
}

func (c *current) onSetUnionExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetUnion, []interface{}{set1, set2})
}

func (p *parser) callonSetUnionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetUnionExpression1(stack["set1"], stack["set2"])
}

func (c *current) onInFunction14(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonInFunction14() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction14(stack["ex"])
}

func (c *current) onInFunction1(ex1, ex2, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIn, append([]interface{}{ex1, ex2}, others.([]interface{})...))
}

func (p *parser) callonInFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction1(stack["ex1"], stack["ex2"], stack["others"])
}

func (c *current) onAvgAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateAvg, []interface{}{ex})
}

func (p *parser) callonAvgAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAvgAggregateExpression1(stack["ex"])
}

func (c *current) onCountAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateCount, []interface{}{ex})
}

func (p *parser) callonCountAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCountAggregateExpression1(stack["ex"])
}

func (c *current) onMaxAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMax, []interface{}{ex})
}

func (p *parser) callonMaxAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMaxAggregateExpression1(stack["ex"])
}

func (c *current) onMinAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMin, []interface{}{ex})
}

func (p *parser) callonMinAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMinAggregateExpression1(stack["ex"])
}

func (c *current) onSumAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateSum, []interface{}{ex})
}

func (p *parser) callonSumAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSumAggregateExpression1(stack["ex"])
}

func (c *current) onInteger1() (any, error) {
	return strconv.Atoi(string(c.text))
}

func (p *parser) callonInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInteger1()
}

func (c *current) onStringCharacter2() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonStringCharacter2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter2()
}

func (c *current) onStringCharacter9(seq any) (any, error) {
	return seq, nil
}

func (p *parser) callonStringCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter9(stack["seq"])
}

func (c *current) onEscapeCharacter5() (any, error) {
	return "\b", nil
}

func (p *parser) callonEscapeCharacter5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter5()
}

func (c *current) onEscapeCharacter7() (any, error) {
	return "\f", nil
}

func (p *parser) callonEscapeCharacter7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter7()
}

func (c *current) onEscapeCharacter9() (any, error) {
	return "\n", nil
}

func (p *parser) callonEscapeCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter9()
}

func (c *current) onEscapeCharacter11() (any, error) {
	return "\r", nil
}

func (p *parser) callonEscapeCharacter11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter11()
}

func (c *current) onEscapeCharacter13() (any, error) {
	return "\t", nil
}

func (p *parser) callonEscapeCharacter13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter13()
}

func (c *current) onnon_escape_character1(char any) (any, error) {
	return string(c.text), nil
}

func (p *parser) callonnon_escape_character1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onnon_escape_character1(stack["char"])
}

var (
	// errNoRule is returned when the grammar to parse has no rule.
	errNoRule = errors.New("grammar has no rule")

	// errInvalidEntrypoint is returned when the specified entrypoint rule
	// does not exit.
	errInvalidEntrypoint = errors.New("invalid entrypoint")

	// errInvalidEncoding is returned when the source is not properly
	// utf8-encoded.
	errInvalidEncoding = errors.New("invalid encoding")

	// errMaxExprCnt is used to signal that the maximum number of
	// expressions have been parsed.
	errMaxExprCnt = errors.New("max number of expressions parsed")
)

// Option is a function that can set an option on the parser. It returns
// the previous setting as an Option.
type Option func(*parser) Option

// MaxExpressions creates an Option to stop parsing after the provided
// number of expressions have been parsed, if the value is 0 then the parser will
// parse for as many steps as needed (possibly an infinite number).
//
// The default for maxExprCnt is 0.
func MaxExpressions(maxExprCnt uint64) Option {
	return func(p *parser) Option {
		oldMaxExprCnt := p.maxExprCnt
		p.maxExprCnt = maxExprCnt
		return MaxExpressions(oldMaxExprCnt)
	}
}

// Entrypoint creates an Option to set the rule name to use as entrypoint.
// The rule name must have been specified in the -alternate-entrypoints
// if generating the parser with the -optimize-grammar flag, otherwise
// it may have been optimized out. Passing an empty string sets the
// entrypoint to the first rule in the grammar.
//
// The default is to start parsing at the first rule in the grammar.
func Entrypoint(ruleName string) Option {
	return func(p *parser) Option {
		oldEntrypoint := p.entrypoint
		p.entrypoint = ruleName
		if ruleName == "" {
			p.entrypoint = g.rules[0].name
		}
		return Entrypoint(oldEntrypoint)
	}
}

// Statistics adds a user provided Stats struct to the parser to allow
// the user to process the results after the parsing has finished.
// Also the key for the "no match" counter is set.
//
// Example usage:
//
//	input := "input"
//	stats := Stats{}
//	_, err := Parse("input-file", []byte(input), Statistics(&stats, "no match"))
//	if err != nil {
//	    log.Panicln(err)
//	}
//	b, err := json.MarshalIndent(stats.ChoiceAltCnt, "", "  ")
//	if err != nil {
//	    log.Panicln(err)
//	}
//	fmt.Println(string(b))
func Statistics(stats *Stats, choiceNoMatch string) Option {
	return func(p *parser) Option {
		oldStats := p.Stats
		p.Stats = stats
		oldChoiceNoMatch := p.choiceNoMatch
		p.choiceNoMatch = choiceNoMatch
		if p.Stats.ChoiceAltCnt == nil {
			p.Stats.ChoiceAltCnt = make(map[string]map[string]int)
		}
		return Statistics(oldStats, oldChoiceNoMatch)
	}
}

// Debug creates an Option to set the debug flag to b. When set to true,
// debugging information is printed to stdout while parsing.
//
// The default is false.
func Debug(b bool) Option {
	return func(p *parser) Option {
		old := p.debug
		p.debug = b
		return Debug(old)
	}
}

// Memoize creates an Option to set the memoize flag to b. When set to true,
// the parser will cache all results so each expression is evaluated only
// once. This guarantees linear parsing time even for pathological cases,
// at the expense of more memory and slower times for typical cases.
//
// The default is false.
func Memoize(b bool) Option {
	return func(p *parser) Option {
		old := p.memoize
		p.memoize = b
		return Memoize(old)
	}
}

// AllowInvalidUTF8 creates an Option to allow invalid UTF-8 bytes.
// Every invalid UTF-8 byte is treated as a utf8.RuneError (U+FFFD)
// by character class matchers and is matched by the any matcher.
// The returned matched value, c.text and c.offset are NOT affected.
//
// The default is false.
func AllowInvalidUTF8(b bool) Option {
	return func(p *parser) Option {
		old := p.allowInvalidUTF8
		p.allowInvalidUTF8 = b
		return AllowInvalidUTF8(old)
	}
}

// Recover creates an Option to set the recover flag to b. When set to
// true, this causes the parser to recover from panics and convert it
// to an error. Setting it to false can be useful while debugging to
// access the full stack trace.
//
// The default is true.
func Recover(b bool) Option {
	return func(p *parser) Option {
		old := p.recover
		p.recover = b
		return Recover(old)
	}
}

// GlobalStore creates an Option to set a key to a certain value in
// the globalStore.
func GlobalStore(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.globalStore[key]
		p.cur.globalStore[key] = value
		return GlobalStore(key, old)
	}
}

// InitState creates an Option to set a key to a certain value in
// the global "state" store.
func InitState(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.state[key]
		p.cur.state[key] = value
		return InitState(key, old)
	}
}

// ParseFile parses the file identified by filename.
func ParseFile(filename string, opts ...Option) (i any, err error) {
	f, err := os.Open(filename)
	if err != nil {
		return nil, err
	}
	defer func() {
		if closeErr := f.Close(); closeErr != nil {
			err = closeErr
		}
	}()
	return ParseReader(filename, f, opts...)
}

// ParseReader parses the data from r using filename as information in the
// error messages.
func ParseReader(filename string, r io.Reader, opts ...Option) (any, error) {
	b, err := io.ReadAll(r)
	if err != nil {
		return nil, err
	}

	return Parse(filename, b, opts...)
}

// Parse parses the data from b using filename as information in the
// error messages.
func Parse(filename string, b []byte, opts ...Option) (any, error) {
	return newParser(filename, b, opts...).parse(g)
}

// position records a position in the text.
type position struct {
	line, col, offset int
}

func (p position) String() string {
	return strconv.Itoa(p.line) + ":" + strconv.Itoa(p.col) + " [" + strconv.Itoa(p.offset) + "]"
}

// savepoint stores all state required to go back to this point in the
// parser.
type savepoint struct {
	position
	rn rune
	w  int
}

type current struct {
	pos  position // start position of the match
	text []byte   // raw text of the match

	// state is a store for arbitrary key,value pairs that the user wants to be
	// tied to the backtracking of the parser.
	// This is always rolled back if a parsing rule fails.
	state storeDict

	// globalStore is a general store for the user to store arbitrary key-value
	// pairs that they need to manage and that they do not want tied to the
	// backtracking of the parser. This is only modified by the user and never
	// rolled back by the parser. It is always up to the user to keep this in a
	// consistent state.
	globalStore storeDict
}

type storeDict map[string]any

// the AST types...

type grammar struct {
	pos   position
	rules []*rule
}

type rule struct {
	pos         position
	name        string
	displayName string
	expr        any
}

type choiceExpr struct {
	pos          position
	alternatives []any
}

type actionExpr struct {
	pos  position
	expr any
	run  func(*parser) (any, error)
}

type recoveryExpr struct {
	pos          position
	expr         any
	recoverExpr  any
	failureLabel []string
}

type seqExpr struct {
	pos   position
	exprs []any
}

type throwExpr struct {
	pos   position
	label string
}

type labeledExpr struct {
	pos   position
	label string
	expr  any
}

type expr struct {
	pos  position
	expr any
}

type (
	andExpr        expr
	notExpr        expr
	zeroOrOneExpr  expr
	zeroOrMoreExpr expr
	oneOrMoreExpr  expr
)

type ruleRefExpr struct {
	pos  position
	name string
}

type stateCodeExpr struct {
	pos position
	run func(*parser) error
}

type andCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type notCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type litMatcher struct {
	pos        position
	val        string
	ignoreCase bool
	want       string
}

type charClassMatcher struct {
	pos             position
	val             string
	basicLatinChars [128]bool
	chars           []rune
	ranges          []rune
	classes         []*unicode.RangeTable
	ignoreCase      bool
	inverted        bool
}

type anyMatcher position

// errList cumulates the errors found by the parser.
type errList []error

func (e *errList) add(err error) {
	*e = append(*e, err)
}

func (e errList) err() error {
	if len(e) == 0 {
		return nil
	}
	e.dedupe()
	return e
}

func (e *errList) dedupe() {
	var cleaned []error
	set := make(map[string]bool)
	for _, err := range *e {
		if msg := err.Error(); !set[msg] {
			set[msg] = true
			cleaned = append(cleaned, err)
		}
	}
	*e = cleaned
}

func (e errList) Error() string {
	switch len(e) {
	case 0:
		return ""
	case 1:
		return e[0].Error()
	default:
		var buf bytes.Buffer

		for i, err := range e {
			if i > 0 {
				buf.WriteRune('\n')
			}
			buf.WriteString(err.Error())
		}
		return buf.String()
	}
}

// parserError wraps an error with a prefix indicating the rule in which
// the error occurred. The original error is stored in the Inner field.
type parserError struct {
	Inner    error
	pos      position
	prefix   string
	expected []string
}

// Error returns the error message.
func (p *parserError) Error() string {
	return p.prefix + ": " + p.Inner.Error()
}

// newParser creates a parser with the specified input source and options.
func newParser(filename string, b []byte, opts ...Option) *parser {
	stats := Stats{
		ChoiceAltCnt: make(map[string]map[string]int),
	}

	p := &parser{
		filename: filename,
		errs:     new(errList),
		data:     b,
		pt:       savepoint{position: position{line: 1}},
		recover:  true,
		cur: current{
			state:       make(storeDict),
			globalStore: make(storeDict),
		},
		maxFailPos:      position{col: 1, line: 1},
		maxFailExpected: make([]string, 0, 20),
		Stats:           &stats,
		// start rule is rule [0] unless an alternate entrypoint is specified
		entrypoint: g.rules[0].name,
	}
	p.setOptions(opts)

	if p.maxExprCnt == 0 {
		p.maxExprCnt = math.MaxUint64
	}

	return p
}

// setOptions applies the options to the parser.
func (p *parser) setOptions(opts []Option) {
	for _, opt := range opts {
		opt(p)
	}
}

type resultTuple struct {
	v   any
	b   bool
	end savepoint
}

const choiceNoMatch = -1

// Stats stores some statistics, gathered during parsing
type Stats struct {
	// ExprCnt counts the number of expressions processed during parsing
	// This value is compared to the maximum number of expressions allowed
	// (set by the MaxExpressions option).
	ExprCnt uint64

	// ChoiceAltCnt is used to count for each ordered choice expression,
	// which alternative is used how may times.
	// These numbers allow to optimize the order of the ordered choice expression
	// to increase the performance of the parser
	//
	// The outer key of ChoiceAltCnt is composed of the name of the rule as well
	// as the line and the column of the ordered choice.
	// The inner key of ChoiceAltCnt is the number (one-based) of the matching alternative.
	// For each alternative the number of matches are counted. If an ordered choice does not
	// match, a special counter is incremented. The name of this counter is set with
	// the parser option Statistics.
	// For an alternative to be included in ChoiceAltCnt, it has to match at least once.
	ChoiceAltCnt map[string]map[string]int
}

type parser struct {
	filename string
	pt       savepoint
	cur      current

	data []byte
	errs *errList

	depth   int
	recover bool
	debug   bool

	memoize bool
	// memoization table for the packrat algorithm:
	// map[offset in source] map[expression or rule] {value, match}
	memo map[int]map[any]resultTuple

	// rules table, maps the rule identifier to the rule node
	rules map[string]*rule
	// variables stack, map of label to value
	vstack []map[string]any
	// rule stack, allows identification of the current rule in errors
	rstack []*rule

	// parse fail
	maxFailPos            position
	maxFailExpected       []string
	maxFailInvertExpected bool

	// max number of expressions to be parsed
	maxExprCnt uint64
	// entrypoint for the parser
	entrypoint string

	allowInvalidUTF8 bool

	*Stats

	choiceNoMatch string
	// recovery expression stack, keeps track of the currently available recovery expression, these are traversed in reverse
	recoveryStack []map[string]any
}

// push a variable set on the vstack.
func (p *parser) pushV() {
	if cap(p.vstack) == len(p.vstack) {
		// create new empty slot in the stack
		p.vstack = append(p.vstack, nil)
	} else {
		// slice to 1 more
		p.vstack = p.vstack[:len(p.vstack)+1]
	}

	// get the last args set
	m := p.vstack[len(p.vstack)-1]
	if m != nil && len(m) == 0 {
		// empty map, all good
		return
	}

	m = make(map[string]any)
	p.vstack[len(p.vstack)-1] = m
}

// pop a variable set from the vstack.
func (p *parser) popV() {
	// if the map is not empty, clear it
	m := p.vstack[len(p.vstack)-1]
	if len(m) > 0 {
		// GC that map
		p.vstack[len(p.vstack)-1] = nil
	}
	p.vstack = p.vstack[:len(p.vstack)-1]
}

// push a recovery expression with its labels to the recoveryStack
func (p *parser) pushRecovery(labels []string, expr any) {
	if cap(p.recoveryStack) == len(p.recoveryStack) {
		// create new empty slot in the stack
		p.recoveryStack = append(p.recoveryStack, nil)
	} else {
		// slice to 1 more
		p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)+1]
	}

	m := make(map[string]any, len(labels))
	for _, fl := range labels {
		m[fl] = expr
	}
	p.recoveryStack[len(p.recoveryStack)-1] = m
}

// pop a recovery expression from the recoveryStack
func (p *parser) popRecovery() {
	// GC that map
	p.recoveryStack[len(p.recoveryStack)-1] = nil

	p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)-1]
}

func (p *parser) print(prefix, s string) string {
	if !p.debug {
		return s
	}

	fmt.Printf("%s %d:%d:%d: %s [%#U]\n",
		prefix, p.pt.line, p.pt.col, p.pt.offset, s, p.pt.rn)
	return s
}

func (p *parser) printIndent(mark string, s string) string {
	return p.print(strings.Repeat(" ", p.depth)+mark, s)
}

func (p *parser) in(s string) string {
	res := p.printIndent(">", s)
	p.depth++
	return res
}

func (p *parser) out(s string) string {
	p.depth--
	return p.printIndent("<", s)
}

func (p *parser) addErr(err error) {
	p.addErrAt(err, p.pt.position, []string{})
}

func (p *parser) addErrAt(err error, pos position, expected []string) {
	var buf bytes.Buffer
	if p.filename != "" {
		buf.WriteString(p.filename)
	}
	if buf.Len() > 0 {
		buf.WriteString(":")
	}
	buf.WriteString(fmt.Sprintf("%d:%d (%d)", pos.line, pos.col, pos.offset))
	if len(p.rstack) > 0 {
		if buf.Len() > 0 {
			buf.WriteString(": ")
		}
		rule := p.rstack[len(p.rstack)-1]
		if rule.displayName != "" {
			buf.WriteString("rule " + rule.displayName)
		} else {
			buf.WriteString("rule " + rule.name)
		}
	}
	pe := &parserError{Inner: err, pos: pos, prefix: buf.String(), expected: expected}
	p.errs.add(pe)
}

func (p *parser) failAt(fail bool, pos position, want string) {
	// process fail if parsing fails and not inverted or parsing succeeds and invert is set
	if fail == p.maxFailInvertExpected {
		if pos.offset < p.maxFailPos.offset {
			return
		}

		if pos.offset > p.maxFailPos.offset {
			p.maxFailPos = pos
			p.maxFailExpected = p.maxFailExpected[:0]
		}

		if p.maxFailInvertExpected {
			want = "!" + want
		}
		p.maxFailExpected = append(p.maxFailExpected, want)
	}
}

// read advances the parser to the next rune.
func (p *parser) read() {
	p.pt.offset += p.pt.w
	rn, n := utf8.DecodeRune(p.data[p.pt.offset:])
	p.pt.rn = rn
	p.pt.w = n
	p.pt.col++
	if rn == '\n' {
		p.pt.line++
		p.pt.col = 0
	}

	if rn == utf8.RuneError && n == 1 { // see utf8.DecodeRune
		if !p.allowInvalidUTF8 {
			p.addErr(errInvalidEncoding)
		}
	}
}

// restore parser position to the savepoint pt.
func (p *parser) restore(pt savepoint) {
	if p.debug {
		defer p.out(p.in("restore"))
	}
	if pt.offset == p.pt.offset {
		return
	}
	p.pt = pt
}

// Cloner is implemented by any value that has a Clone method, which returns a
// copy of the value. This is mainly used for types which are not passed by
// value (e.g map, slice, chan) or structs that contain such types.
//
// This is used in conjunction with the global state feature to create proper
// copies of the state to allow the parser to properly restore the state in
// the case of backtracking.
type Cloner interface {
	Clone() any
}

var statePool = &sync.Pool{
	New: func() any { return make(storeDict) },
}

func (sd storeDict) Discard() {
	for k := range sd {
		delete(sd, k)
	}
	statePool.Put(sd)
}

// clone and return parser current state.
func (p *parser) cloneState() storeDict {
	if p.debug {
		defer p.out(p.in("cloneState"))
	}

	state := statePool.Get().(storeDict)
	for k, v := range p.cur.state {
		if c, ok := v.(Cloner); ok {
			state[k] = c.Clone()
		} else {
			state[k] = v
		}
	}
	return state
}

// restore parser current state to the state storeDict.
// every restoreState should applied only one time for every cloned state
func (p *parser) restoreState(state storeDict) {
	if p.debug {
		defer p.out(p.in("restoreState"))
	}
	p.cur.state.Discard()
	p.cur.state = state
}

// get the slice of bytes from the savepoint start to the current position.
func (p *parser) sliceFrom(start savepoint) []byte {
	return p.data[start.position.offset:p.pt.position.offset]
}

func (p *parser) getMemoized(node any) (resultTuple, bool) {
	if len(p.memo) == 0 {
		return resultTuple{}, false
	}
	m := p.memo[p.pt.offset]
	if len(m) == 0 {
		return resultTuple{}, false
	}
	res, ok := m[node]
	return res, ok
}

func (p *parser) setMemoized(pt savepoint, node any, tuple resultTuple) {
	if p.memo == nil {
		p.memo = make(map[int]map[any]resultTuple)
	}
	m := p.memo[pt.offset]
	if m == nil {
		m = make(map[any]resultTuple)
		p.memo[pt.offset] = m
	}
	m[node] = tuple
}

func (p *parser) buildRulesTable(g *grammar) {
	p.rules = make(map[string]*rule, len(g.rules))
	for _, r := range g.rules {
		p.rules[r.name] = r
	}
}

func (p *parser) parse(g *grammar) (val any, err error) {
	if len(g.rules) == 0 {
		p.addErr(errNoRule)
		return nil, p.errs.err()
	}

	// TODO : not super critical but this could be generated
	p.buildRulesTable(g)

	if p.recover {
		// panic can be used in action code to stop parsing immediately
		// and return the panic as an error.
		defer func() {
			if e := recover(); e != nil {
				if p.debug {
					defer p.out(p.in("panic handler"))
				}
				val = nil
				switch e := e.(type) {
				case error:
					p.addErr(e)
				default:
					p.addErr(fmt.Errorf("%v", e))
				}
				err = p.errs.err()
			}
		}()
	}

	startRule, ok := p.rules[p.entrypoint]
	if !ok {
		p.addErr(errInvalidEntrypoint)
		return nil, p.errs.err()
	}

	p.read() // advance to first rune
	val, ok = p.parseRuleWrap(startRule)
	if !ok {
		if len(*p.errs) == 0 {
			// If parsing fails, but no errors have been recorded, the expected values
			// for the farthest parser position are returned as error.
			maxFailExpectedMap := make(map[string]struct{}, len(p.maxFailExpected))
			for _, v := range p.maxFailExpected {
				maxFailExpectedMap[v] = struct{}{}
			}
			expected := make([]string, 0, len(maxFailExpectedMap))
			eof := false
			if _, ok := maxFailExpectedMap["!."]; ok {
				delete(maxFailExpectedMap, "!.")
				eof = true
			}
			for k := range maxFailExpectedMap {
				expected = append(expected, k)
			}
			sort.Strings(expected)
			if eof {
				expected = append(expected, "EOF")
			}
			p.addErrAt(errors.New("no match found, expected: "+listJoin(expected, ", ", "or")), p.maxFailPos, expected)
		}

		return nil, p.errs.err()
	}
	return val, p.errs.err()
}

func listJoin(list []string, sep string, lastSep string) string {
	switch len(list) {
	case 0:
		return ""
	case 1:
		return list[0]
	default:
		return strings.Join(list[:len(list)-1], sep) + " " + lastSep + " " + list[len(list)-1]
	}
}

func (p *parser) parseRuleMemoize(rule *rule) (any, bool) {
	res, ok := p.getMemoized(rule)
	if ok {
		p.restore(res.end)
		return res.v, res.b
	}

	startMark := p.pt
	val, ok := p.parseRule(rule)
	p.setMemoized(startMark, rule, resultTuple{val, ok, p.pt})

	return val, ok
}

func (p *parser) parseRuleWrap(rule *rule) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRule " + rule.name))
	}
	var (
		val       any
		ok        bool
		startMark = p.pt
	)

	if p.memoize {
		val, ok = p.parseRuleMemoize(rule)
	} else {
		val, ok = p.parseRule(rule)
	}

	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(startMark)))
	}
	return val, ok
}

func (p *parser) parseRule(rule *rule) (any, bool) {
	p.rstack = append(p.rstack, rule)
	p.pushV()
	val, ok := p.parseExprWrap(rule.expr)
	p.popV()
	p.rstack = p.rstack[:len(p.rstack)-1]
	return val, ok
}

func (p *parser) parseExprWrap(expr any) (any, bool) {
	var pt savepoint

	if p.memoize {
		res, ok := p.getMemoized(expr)
		if ok {
			p.restore(res.end)
			return res.v, res.b
		}
		pt = p.pt
	}

	val, ok := p.parseExpr(expr)

	if p.memoize {
		p.setMemoized(pt, expr, resultTuple{val, ok, p.pt})
	}
	return val, ok
}

func (p *parser) parseExpr(expr any) (any, bool) {
	p.ExprCnt++
	if p.ExprCnt > p.maxExprCnt {
		panic(errMaxExprCnt)
	}

	var val any
	var ok bool
	switch expr := expr.(type) {
	case *actionExpr:
		val, ok = p.parseActionExpr(expr)
	case *andCodeExpr:
		val, ok = p.parseAndCodeExpr(expr)
	case *andExpr:
		val, ok = p.parseAndExpr(expr)
	case *anyMatcher:
		val, ok = p.parseAnyMatcher(expr)
	case *charClassMatcher:
		val, ok = p.parseCharClassMatcher(expr)
	case *choiceExpr:
		val, ok = p.parseChoiceExpr(expr)
	case *labeledExpr:
		val, ok = p.parseLabeledExpr(expr)
	case *litMatcher:
		val, ok = p.parseLitMatcher(expr)
	case *notCodeExpr:
		val, ok = p.parseNotCodeExpr(expr)
	case *notExpr:
		val, ok = p.parseNotExpr(expr)
	case *oneOrMoreExpr:
		val, ok = p.parseOneOrMoreExpr(expr)
	case *recoveryExpr:
		val, ok = p.parseRecoveryExpr(expr)
	case *ruleRefExpr:
		val, ok = p.parseRuleRefExpr(expr)
	case *seqExpr:
		val, ok = p.parseSeqExpr(expr)
	case *stateCodeExpr:
		val, ok = p.parseStateCodeExpr(expr)
	case *throwExpr:
		val, ok = p.parseThrowExpr(expr)
	case *zeroOrMoreExpr:
		val, ok = p.parseZeroOrMoreExpr(expr)
	case *zeroOrOneExpr:
		val, ok = p.parseZeroOrOneExpr(expr)
	default:
		panic(fmt.Sprintf("unknown expression type %T", expr))
	}
	return val, ok
}

func (p *parser) parseActionExpr(act *actionExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseActionExpr"))
	}

	start := p.pt
	val, ok := p.parseExprWrap(act.expr)
	if ok {
		p.cur.pos = start.position
		p.cur.text = p.sliceFrom(start)
		state := p.cloneState()
		actVal, err := act.run(p)
		if err != nil {
			p.addErrAt(err, start.position, []string{})
		}
		p.restoreState(state)

		val = actVal
	}
	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(start)))
	}
	return val, ok
}

func (p *parser) parseAndCodeExpr(and *andCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndCodeExpr"))
	}

	state := p.cloneState()

	ok, err := and.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, ok
}

func (p *parser) parseAndExpr(and *andExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	_, ok := p.parseExprWrap(and.expr)
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, ok
}

func (p *parser) parseAnyMatcher(any *anyMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAnyMatcher"))
	}

	if p.pt.rn == utf8.RuneError && p.pt.w == 0 {
		// EOF - see utf8.DecodeRune
		p.failAt(false, p.pt.position, ".")
		return nil, false
	}
	start := p.pt
	p.read()
	p.failAt(true, start.position, ".")
	return p.sliceFrom(start), true
}

func (p *parser) parseCharClassMatcher(chr *charClassMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseCharClassMatcher"))
	}

	cur := p.pt.rn
	start := p.pt

	// can't match EOF
	if cur == utf8.RuneError && p.pt.w == 0 { // see utf8.DecodeRune
		p.failAt(false, start.position, chr.val)
		return nil, false
	}

	if chr.ignoreCase {
		cur = unicode.ToLower(cur)
	}

	// try to match in the list of available chars
	for _, rn := range chr.chars {
		if rn == cur {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of ranges
	for i := 0; i < len(chr.ranges); i += 2 {
		if cur >= chr.ranges[i] && cur <= chr.ranges[i+1] {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of Unicode classes
	for _, cl := range chr.classes {
		if unicode.Is(cl, cur) {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	if chr.inverted {
		p.read()
		p.failAt(true, start.position, chr.val)
		return p.sliceFrom(start), true
	}
	p.failAt(false, start.position, chr.val)
	return nil, false
}

func (p *parser) incChoiceAltCnt(ch *choiceExpr, altI int) {
	choiceIdent := fmt.Sprintf("%s %d:%d", p.rstack[len(p.rstack)-1].name, ch.pos.line, ch.pos.col)
	m := p.ChoiceAltCnt[choiceIdent]
	if m == nil {
		m = make(map[string]int)
		p.ChoiceAltCnt[choiceIdent] = m
	}
	// We increment altI by 1, so the keys do not start at 0
	alt := strconv.Itoa(altI + 1)
	if altI == choiceNoMatch {
		alt = p.choiceNoMatch
	}
	m[alt]++
}

func (p *parser) parseChoiceExpr(ch *choiceExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseChoiceExpr"))
	}

	for altI, alt := range ch.alternatives {
		// dummy assignment to prevent compile error if optimized
		_ = altI

		state := p.cloneState()

		p.pushV()
		val, ok := p.parseExprWrap(alt)
		p.popV()
		if ok {
			p.incChoiceAltCnt(ch, altI)
			return val, ok
		}
		p.restoreState(state)
	}
	p.incChoiceAltCnt(ch, choiceNoMatch)
	return nil, false
}

func (p *parser) parseLabeledExpr(lab *labeledExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLabeledExpr"))
	}

	p.pushV()
	val, ok := p.parseExprWrap(lab.expr)
	p.popV()
	if ok && lab.label != "" {
		m := p.vstack[len(p.vstack)-1]
		m[lab.label] = val
	}
	return val, ok
}

func (p *parser) parseLitMatcher(lit *litMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLitMatcher"))
	}

	start := p.pt
	for _, want := range lit.val {
		cur := p.pt.rn
		if lit.ignoreCase {
			cur = unicode.ToLower(cur)
		}
		if cur != want {
			p.failAt(false, start.position, lit.want)
			p.restore(start)
			return nil, false
		}
		p.read()
	}
	p.failAt(true, start.position, lit.want)
	return p.sliceFrom(start), true
}

func (p *parser) parseNotCodeExpr(not *notCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotCodeExpr"))
	}

	state := p.cloneState()

	ok, err := not.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, !ok
}

func (p *parser) parseNotExpr(not *notExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	_, ok := p.parseExprWrap(not.expr)
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, !ok
}

func (p *parser) parseOneOrMoreExpr(expr *oneOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseOneOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			if len(vals) == 0 {
				// did not match once, no match
				return nil, false
			}
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseRecoveryExpr(recover *recoveryExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRecoveryExpr (" + strings.Join(recover.failureLabel, ",") + ")"))
	}

	p.pushRecovery(recover.failureLabel, recover.recoverExpr)
	val, ok := p.parseExprWrap(recover.expr)
	p.popRecovery()

	return val, ok
}

func (p *parser) parseRuleRefExpr(ref *ruleRefExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRuleRefExpr " + ref.name))
	}

	if ref.name == "" {
		panic(fmt.Sprintf("%s: invalid rule: missing name", ref.pos))
	}

	rule := p.rules[ref.name]
	if rule == nil {
		p.addErr(fmt.Errorf("undefined rule: %s", ref.name))
		return nil, false
	}
	return p.parseRuleWrap(rule)
}

func (p *parser) parseSeqExpr(seq *seqExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseSeqExpr"))
	}

	vals := make([]any, 0, len(seq.exprs))

	pt := p.pt
	state := p.cloneState()
	for _, expr := range seq.exprs {
		val, ok := p.parseExprWrap(expr)
		if !ok {
			p.restoreState(state)
			p.restore(pt)
			return nil, false
		}
		vals = append(vals, val)
	}
	return vals, true
}

func (p *parser) parseStateCodeExpr(state *stateCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseStateCodeExpr"))
	}

	err := state.run(p)
	if err != nil {
		p.addErr(err)
	}
	return nil, true
}

func (p *parser) parseThrowExpr(expr *throwExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseThrowExpr"))
	}

	for i := len(p.recoveryStack) - 1; i >= 0; i-- {
		if recoverExpr, ok := p.recoveryStack[i][expr.label]; ok {
			if val, ok := p.parseExprWrap(recoverExpr); ok {
				return val, ok
			}
		}
	}

	return nil, false
}

func (p *parser) parseZeroOrMoreExpr(expr *zeroOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseZeroOrOneExpr(expr *zeroOrOneExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrOneExpr"))
	}

	p.pushV()
	val, _ := p.parseExprWrap(expr.expr)
	p.popV()
	// whether it matched or not, consider it a match
	return val, true
}
